import{s as ne,o as ae,n as oe}from"../chunks/scheduler.37c15a92.js";import{S as ie,i as se,g as h,s as m,p as F,A as re,h as d,f as n,c as u,j as q,q as U,m as p,k as T,v as C,a,r as B,d as D,t as J,u as O,x as ee,y as te}from"../chunks/index.34c13df1.js";import{T as le}from"../chunks/Tip.a041d341.js";import{I as he}from"../chunks/IconCopyLink.b3dd524c.js";import{C as de}from"../chunks/CourseFloatingBanner.6fa34a2a.js";function ce(M){let i,s,l="creating an account",r;return{c(){i=ee("⚠️ In order to benefit from all features available with the Model Hub and 🤗 Transformers, we recommend "),s=h("a"),s.textContent=l,r=ee("."),this.h()},l(o){i=te(o,"⚠️ In order to benefit from all features available with the Model Hub and 🤗 Transformers, we recommend "),s=d(o,"A",{href:!0,"data-svelte-h":!0}),p(s)!=="svelte-x4yw9l"&&(s.textContent=l),r=te(o,"."),this.h()},h(){T(s,"href","https://huggingface.co/join")},m(o,c){a(o,i,c),a(o,s,c),a(o,r,c)},p:oe,d(o){o&&(n(i),n(s),n(r))}}}function me(M){let i,s,l,r,o,c,N,k,R="Introduction",P,w,L,v,W='As you saw in <a href="/course/chapter1">Chapter 1</a>, Transformer models are usually very large. With millions to tens of <em>billions</em> of parameters, training and deploying these models is a complicated undertaking. Furthermore, with new models being released on a near-daily basis and each having its own implementation, trying them all out is no easy task.',A,g,G="The 🤗 Transformers library was created to solve this problem. Its goal is to provide a single API through which any Transformer model can be loaded, trained, and saved. The library’s main features are:",H,y,K="<li><strong>Ease of use</strong>: Downloading, loading, and using a state-of-the-art NLP model for inference can be done in just two lines of code.</li> <li><strong>Flexibility</strong>: At their core, all models are simple PyTorch <code>nn.Module</code> or TensorFlow <code>tf.keras.Model</code> classes and can be handled like any other models in their respective machine learning (ML) frameworks.</li> <li><strong>Simplicity</strong>: Hardly any abstractions are made across the library. The “All in one file” is a core concept: a model’s forward pass is entirely defined in a single file, so that the code itself is understandable and hackable.</li>",I,$,Q=`This last feature makes 🤗 Transformers quite different from other ML libraries. The models are not built on modules
that are shared across files; instead, each model has its own layers. In addition to making the models more approachable and understandable, this allows you to easily experiment on one model without affecting others.`,S,b,V='This chapter will begin with an end-to-end example where we use a model and a tokenizer together to replicate the <code>pipeline()</code> function introduced in <a href="/course/chapter1">Chapter 1</a>. Next, we’ll discuss the model API: we’ll dive into the model and configuration classes, and show you how to load a model and how it processes numerical inputs to output predictions.',j,x,X="Then we’ll look at the tokenizer API, which is the other main component of the <code>pipeline()</code> function. Tokenizers take care of the first and last processing steps, handling the conversion from text to numerical inputs for the neural network, and the conversion back to text when it is needed. Finally, we’ll show you how to handle sending multiple sentences through a model in a prepared batch, then wrap it all up with a closer look at the high-level <code>tokenizer()</code> function.",z,f,E;return c=new he({}),w=new de({props:{chapter:2,classNames:"absolute z-10 right-0 top-0"}}),f=new le({props:{$$slots:{default:[ce]},$$scope:{ctx:M}}}),{c(){i=h("meta"),s=m(),l=h("h1"),r=h("a"),o=h("span"),F(c.$$.fragment),N=m(),k=h("span"),k.textContent=R,P=m(),F(w.$$.fragment),L=m(),v=h("p"),v.innerHTML=W,A=m(),g=h("p"),g.textContent=G,H=m(),y=h("ul"),y.innerHTML=K,I=m(),$=h("p"),$.textContent=Q,S=m(),b=h("p"),b.innerHTML=V,j=m(),x=h("p"),x.innerHTML=X,z=m(),F(f.$$.fragment),this.h()},l(e){const t=re("svelte-1phssyn",document.head);i=d(t,"META",{name:!0,content:!0}),t.forEach(n),s=u(e),l=d(e,"H1",{class:!0});var _=q(l);r=d(_,"A",{id:!0,class:!0,href:!0});var Y=q(r);o=d(Y,"SPAN",{});var Z=q(o);U(c.$$.fragment,Z),Z.forEach(n),Y.forEach(n),N=u(_),k=d(_,"SPAN",{"data-svelte-h":!0}),p(k)!=="svelte-hzp88l"&&(k.textContent=R),_.forEach(n),P=u(e),U(w.$$.fragment,e),L=u(e),v=d(e,"P",{"data-svelte-h":!0}),p(v)!=="svelte-om2kog"&&(v.innerHTML=W),A=u(e),g=d(e,"P",{"data-svelte-h":!0}),p(g)!=="svelte-vek0pe"&&(g.textContent=G),H=u(e),y=d(e,"UL",{"data-svelte-h":!0}),p(y)!=="svelte-jjutpu"&&(y.innerHTML=K),I=u(e),$=d(e,"P",{"data-svelte-h":!0}),p($)!=="svelte-c52yiy"&&($.textContent=Q),S=u(e),b=d(e,"P",{"data-svelte-h":!0}),p(b)!=="svelte-13bt87g"&&(b.innerHTML=V),j=u(e),x=d(e,"P",{"data-svelte-h":!0}),p(x)!=="svelte-fdnqnj"&&(x.innerHTML=X),z=u(e),U(f.$$.fragment,e),this.h()},h(){T(i,"name","hf:doc:metadata"),T(i,"content",JSON.stringify(ue)),T(r,"id","introduction"),T(r,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),T(r,"href","#introduction"),T(l,"class","relative group")},m(e,t){C(document.head,i),a(e,s,t),a(e,l,t),C(l,r),C(r,o),B(c,o,null),C(l,N),C(l,k),a(e,P,t),B(w,e,t),a(e,L,t),a(e,v,t),a(e,A,t),a(e,g,t),a(e,H,t),a(e,y,t),a(e,I,t),a(e,$,t),a(e,S,t),a(e,b,t),a(e,j,t),a(e,x,t),a(e,z,t),B(f,e,t),E=!0},p(e,[t]){const _={};t&2&&(_.$$scope={dirty:t,ctx:e}),f.$set(_)},i(e){E||(D(c.$$.fragment,e),D(w.$$.fragment,e),D(f.$$.fragment,e),E=!0)},o(e){J(c.$$.fragment,e),J(w.$$.fragment,e),J(f.$$.fragment,e),E=!1},d(e){e&&(n(s),n(l),n(P),n(L),n(v),n(A),n(g),n(H),n(y),n(I),n($),n(S),n(b),n(j),n(x),n(z)),n(i),O(c),O(w,e),O(f,e)}}}const ue={local:"introduction",title:"Introduction"};function fe(M){return ae(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class $e extends ie{constructor(i){super(),se(this,i,fe,me,ne,{})}}export{$e as component};
