import{s as $a,n as va,o as ya}from"../chunks/scheduler.37c15a92.js";import{S as xa,i as ba,g as s,s as l,p,A as _a,h as o,f as t,c as h,j as c,q as d,m as w,k as r,v as n,a as i,r as u,d as f,t as m,u as g}from"../chunks/index.34c13df1.js";import{I as $}from"../chunks/IconCopyLink.b3dd524c.js";import{C as wa}from"../chunks/CodeBlock.47a84cd0.js";import{C as Ca}from"../chunks/CourseFloatingBanner.6fa34a2a.js";import{Q as v}from"../chunks/Question.9eb0dff3.js";function ka(Ut){let y,Re,x,P,Te,D,_t,ge,Ht="End-of-chapter quiz",We,L,ze,Y,Jt="This chapter covered a lot of ground! Don’t worry if you didn’t grasp all the details; the next chapters will help you understand how things work under the hood.",Ge,B,It="Before moving on, though, let’s test what you learned in this chapter.",je,b,M,Ee,F,Ct,we,Rt="1. The <code>load_dataset()</code> function in 🤗 Datasets allows you to load a dataset from which of the following locations?",De,Z,Le,_,U,qe,X,kt,$e,Wt="2. Suppose you load one of the GLUE tasks as follows:",Ye,Q,Be,V,zt="Which of the following commands will produce a random sample of 50 elements from <code>dataset</code>?",Fe,K,Ze,C,H,Se,O,At,ve,Gt="3. Suppose you have a dataset about household pets called <code>pets_dataset</code>, which has a <code>name</code> column that denotes the name of each pet. Which of the following approaches would allow you to filter the dataset for all pets whose names start with the letter “L”?",Xe,ee,Qe,k,J,Ne,te,Tt,ye,jt="4. What is memory mapping?",Ve,ae,Ke,A,I,Pe,se,Et,xe,Dt="5. Which of the following are the main benefits of memory mapping?",Oe,oe,et,T,R,Me,re,qt,be,Lt="6. Why does the following code fail?",tt,ne,at,ie,st,E,W,Ue,le,St,_e,Yt="7. Which of the following are the main benefits of creating a dataset card?",ot,he,rt,q,z,He,ce,Nt,Ce,Bt="8. What is semantic search?",nt,pe,it,S,G,Je,de,Pt,ke,Ft="9. For asymmetric semantic search, you usually have:",lt,ue,ht,N,j,Ie,fe,Mt,Ae,Zt="10. Can I use 🤗 Datasets to load data for use in other domains, like speech processing?",ct,me,pt;return D=new $({}),L=new Ca({props:{chapter:5,classNames:"absolute z-10 right-0 top-0"}}),F=new $({}),Z=new v({props:{choices:[{text:"Locally, e.g. on your laptop",explain:"Correct! You can pass the paths of local files to the <code>data_files</code> argument of <code>load_dataset()</code> to load local datasets.",correct:!0},{text:"The Hugging Face Hub",explain:"Correct! You can load datasets on the Hub by providing the dataset ID, e.g. <code>load_dataset('emotion')</code>.",correct:!0},{text:"A remote server",explain:"Correct! You can pass URLs to the <code>data_files</code> argument of <code>load_dataset()</code> to load remote files.",correct:!0}]}}),X=new $({}),Q=new wa({props:{code:"ZnJvbSUyMGRhdGFzZXRzJTIwaW1wb3J0JTIwbG9hZF9kYXRhc2V0JTBBJTBBZGF0YXNldCUyMCUzRCUyMGxvYWRfZGF0YXNldCglMjJnbHVlJTIyJTJDJTIwJTIybXJwYyUyMiUyQyUyMHNwbGl0JTNEJTIydHJhaW4lMjIp",highlighted:`<span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

dataset = load_dataset(<span class="hljs-string">&quot;glue&quot;</span>, <span class="hljs-string">&quot;mrpc&quot;</span>, split=<span class="hljs-string">&quot;train&quot;</span>)`}}),K=new v({props:{choices:[{text:"<code>dataset.sample(50)</code>",explain:"This is incorrect -- there is no <code>Dataset.sample()</code> method."},{text:"<code>dataset.shuffle().select(range(50))</code>",explain:"Correct! As you saw in this chapter, you first shuffle the dataset and then select the samples from it.",correct:!0},{text:"<code>dataset.select(range(50)).shuffle()</code>",explain:"This is incorrect -- although the code will run, it will only shuffle the first 50 elements in the dataset."}]}}),O=new $({}),ee=new v({props:{choices:[{text:"<code>pets_dataset.filter(lambda x : x['name'].startswith('L'))</code>",explain:"Correct! Using a Python lambda function for these quick filters is a great idea. Can you think of another solution?",correct:!0},{text:"<code>pets_dataset.filter(lambda x['name'].startswith('L'))</code>",explain:"This is incorrect -- a lambda function takes the general form <code>lambda *arguments* : *expression*</code>, so you need to provide arguments in this case."},{text:"Create a function like <code>def filter_names(x): return x['name'].startswith('L')</code> and run <code>pets_dataset.filter(filter_names)</code>.",explain:"Correct! Just like with <code>Dataset.map()</code>, you can pass explicit functions to <code>Dataset.filter()</code>. This is useful when you have some complex logic that isn't suitable for a short lambda function. Which of the other solutions would work?",correct:!0}]}}),te=new $({}),ae=new v({props:{choices:[{text:"A mapping between CPU and GPU RAM",explain:"That's not it -- try again!"},{text:"A mapping between RAM and filesystem storage",explain:"Correct! 🤗 Datasets treats each dataset as a memory-mapped file. This allows the library to access and operate on elements of the dataset without needing to fully load it into memory.",correct:!0},{text:"A mapping between two files in the 🤗 Datasets cache",explain:"This is not correct - try again!"}]}}),se=new $({}),oe=new v({props:{choices:[{text:"Accessing memory-mapped files is faster than reading from or writing to disk.",explain:"Correct! This allows 🤗 Datasets to be blazing fast. That's not the only benefit, though.",correct:!0},{text:"Applications can access segments of data in an extremely large file without having to read the whole file into RAM first.",explain:"Correct! This allows 🤗 Datasets to load multi-gigabyte datasets on your laptop without blowing up your CPU. What other advantage does memory mapping offer?",correct:!0},{text:"It consumes less energy, so your battery lasts longer.",explain:"This is not correct -- try again!"}]}}),re=new $({}),ne=new wa({props:{code:"ZnJvbSUyMGRhdGFzZXRzJTIwaW1wb3J0JTIwbG9hZF9kYXRhc2V0JTBBJTBBZGF0YXNldCUyMCUzRCUyMGxvYWRfZGF0YXNldCglMjJhbGxvY2luZSUyMiUyQyUyMHN0cmVhbWluZyUzRFRydWUlMkMlMjBzcGxpdCUzRCUyMnRyYWluJTIyKSUwQWRhdGFzZXQlNUIwJTVE",highlighted:`<span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

dataset = load_dataset(<span class="hljs-string">&quot;allocine&quot;</span>, streaming=<span class="hljs-literal">True</span>, split=<span class="hljs-string">&quot;train&quot;</span>)
dataset[<span class="hljs-number">0</span>]`}}),ie=new v({props:{choices:[{text:"It tries to stream a dataset that's too large to fit in RAM.",explain:"This is not correct -- streaming datasets are decompressed on the fly, and you can process terabyte-sized datasets with very little RAM!"},{text:"It tries to access an <code>IterableDataset</code>.",explain:"Correct! An <code>IterableDataset</code> is a generator, not a container, so you should access its elements using <code>next(iter(dataset))</code>.",correct:!0},{text:"The <code>allocine</code> dataset doesn't have a <code>train</code> split.",explain:"This is incorrect -- check out the [<code>allocine</code> dataset card](https://huggingface.co/datasets/allocine) on the Hub to see which splits it contains."}]}}),le=new $({}),he=new v({props:{choices:[{text:"It provides information about the intended use and supported tasks of the dataset so others in the community can make an informed decision about using it.",explain:"Correct! Undocumented datasets may be used to train models that may not reflect the intentions of the dataset creators, or may produce models whose legal status is murky if they're trained on data that violates privacy or licensing restrictions. This isn't the only benefit, though!",correct:!0},{text:"It helps draw attention to the biases that are present in a corpus.",explain:"Correct! Almost all datasets have some form of bias, which can produce negative consequences downstream. Being aware of them helps model builders understand how to address the inherent biases. What else do dataset cards help with?",correct:!0},{text:"It improves the chances that others in the community will use my dataset.",explain:"Correct! A well-written dataset card will tend to lead to higher usage of your precious dataset. What other benefits does it offer?",correct:!0}]}}),ce=new $({}),pe=new v({props:{choices:[{text:"A way to search for exact matches between the words in a query and the documents in a corpus",explain:"This is incorrect -- this type of search is called *lexical search*, and it's what you typically see with traditional search engines."},{text:"A way to search for matching documents by understanding the contextual meaning of a query",explain:"Correct! Semantic search uses embedding vectors to represent queries and documents, and uses a similarity metric to measure the amount of overlap between them. How else might you describe it?",correct:!0},{text:"A way to improve search accuracy",explain:"Correct! Semantic search engines can capture the intent of a query much better than keyword matching and typically retrieve documents with higher precision. But this isn't the only right answer - what else does semantic search provide?",correct:!0}]}}),de=new $({}),ue=new v({props:{choices:[{text:"A short query and a longer paragraph that answers the query",explain:"Correct!",correct:!0},{text:"Queries and paragraphs that are of about the same length",explain:"This is actually an example of symmetric semantic search -- try again!"},{text:"A long query and a shorter paragraph that answers the query",explain:"This is incorrect -- try again!"}]}}),fe=new $({}),me=new v({props:{choices:[{text:"No",explain:"This is incorrect -- 🤗 Datasets currently supports tabular data, audio, and computer vision. Check out the <a  href='https://huggingface.co/datasets/mnist'>MNIST dataset</a> on the Hub for a computer vision example."},{text:"Yes",explain:"Correct! Check out the exciting developments with speech and vision in the 🤗 Transformers library to see how 🤗 Datasets is used in these domains.",correct:!0}]}}),{c(){y=s("meta"),Re=l(),x=s("h1"),P=s("a"),Te=s("span"),p(D.$$.fragment),_t=l(),ge=s("span"),ge.textContent=Ht,We=l(),p(L.$$.fragment),ze=l(),Y=s("p"),Y.textContent=Jt,Ge=l(),B=s("p"),B.textContent=It,je=l(),b=s("h3"),M=s("a"),Ee=s("span"),p(F.$$.fragment),Ct=l(),we=s("span"),we.innerHTML=Rt,De=l(),p(Z.$$.fragment),Le=l(),_=s("h3"),U=s("a"),qe=s("span"),p(X.$$.fragment),kt=l(),$e=s("span"),$e.textContent=Wt,Ye=l(),p(Q.$$.fragment),Be=l(),V=s("p"),V.innerHTML=zt,Fe=l(),p(K.$$.fragment),Ze=l(),C=s("h3"),H=s("a"),Se=s("span"),p(O.$$.fragment),At=l(),ve=s("span"),ve.innerHTML=Gt,Xe=l(),p(ee.$$.fragment),Qe=l(),k=s("h3"),J=s("a"),Ne=s("span"),p(te.$$.fragment),Tt=l(),ye=s("span"),ye.textContent=jt,Ve=l(),p(ae.$$.fragment),Ke=l(),A=s("h3"),I=s("a"),Pe=s("span"),p(se.$$.fragment),Et=l(),xe=s("span"),xe.textContent=Dt,Oe=l(),p(oe.$$.fragment),et=l(),T=s("h3"),R=s("a"),Me=s("span"),p(re.$$.fragment),qt=l(),be=s("span"),be.textContent=Lt,tt=l(),p(ne.$$.fragment),at=l(),p(ie.$$.fragment),st=l(),E=s("h3"),W=s("a"),Ue=s("span"),p(le.$$.fragment),St=l(),_e=s("span"),_e.textContent=Yt,ot=l(),p(he.$$.fragment),rt=l(),q=s("h3"),z=s("a"),He=s("span"),p(ce.$$.fragment),Nt=l(),Ce=s("span"),Ce.textContent=Bt,nt=l(),p(pe.$$.fragment),it=l(),S=s("h3"),G=s("a"),Je=s("span"),p(de.$$.fragment),Pt=l(),ke=s("span"),ke.textContent=Ft,lt=l(),p(ue.$$.fragment),ht=l(),N=s("h3"),j=s("a"),Ie=s("span"),p(fe.$$.fragment),Mt=l(),Ae=s("span"),Ae.textContent=Zt,ct=l(),p(me.$$.fragment),this.h()},l(e){const a=_a("svelte-1phssyn",document.head);y=o(a,"META",{name:!0,content:!0}),a.forEach(t),Re=h(e),x=o(e,"H1",{class:!0});var dt=c(x);P=o(dt,"A",{id:!0,class:!0,href:!0});var Xt=c(P);Te=o(Xt,"SPAN",{});var Qt=c(Te);d(D.$$.fragment,Qt),Qt.forEach(t),Xt.forEach(t),_t=h(dt),ge=o(dt,"SPAN",{"data-svelte-h":!0}),w(ge)!=="svelte-2oxeyd"&&(ge.textContent=Ht),dt.forEach(t),We=h(e),d(L.$$.fragment,e),ze=h(e),Y=o(e,"P",{"data-svelte-h":!0}),w(Y)!=="svelte-bcp370"&&(Y.textContent=Jt),Ge=h(e),B=o(e,"P",{"data-svelte-h":!0}),w(B)!=="svelte-1767byc"&&(B.textContent=It),je=h(e),b=o(e,"H3",{class:!0});var ut=c(b);M=o(ut,"A",{id:!0,class:!0,href:!0});var Vt=c(M);Ee=o(Vt,"SPAN",{});var Kt=c(Ee);d(F.$$.fragment,Kt),Kt.forEach(t),Vt.forEach(t),Ct=h(ut),we=o(ut,"SPAN",{"data-svelte-h":!0}),w(we)!=="svelte-1ojsmxv"&&(we.innerHTML=Rt),ut.forEach(t),De=h(e),d(Z.$$.fragment,e),Le=h(e),_=o(e,"H3",{class:!0});var ft=c(_);U=o(ft,"A",{id:!0,class:!0,href:!0});var Ot=c(U);qe=o(Ot,"SPAN",{});var ea=c(qe);d(X.$$.fragment,ea),ea.forEach(t),Ot.forEach(t),kt=h(ft),$e=o(ft,"SPAN",{"data-svelte-h":!0}),w($e)!=="svelte-19cegxw"&&($e.textContent=Wt),ft.forEach(t),Ye=h(e),d(Q.$$.fragment,e),Be=h(e),V=o(e,"P",{"data-svelte-h":!0}),w(V)!=="svelte-x04233"&&(V.innerHTML=zt),Fe=h(e),d(K.$$.fragment,e),Ze=h(e),C=o(e,"H3",{class:!0});var mt=c(C);H=o(mt,"A",{id:!0,class:!0,href:!0});var ta=c(H);Se=o(ta,"SPAN",{});var aa=c(Se);d(O.$$.fragment,aa),aa.forEach(t),ta.forEach(t),At=h(mt),ve=o(mt,"SPAN",{"data-svelte-h":!0}),w(ve)!=="svelte-1u4m02a"&&(ve.innerHTML=Gt),mt.forEach(t),Xe=h(e),d(ee.$$.fragment,e),Qe=h(e),k=o(e,"H3",{class:!0});var gt=c(k);J=o(gt,"A",{id:!0,class:!0,href:!0});var sa=c(J);Ne=o(sa,"SPAN",{});var oa=c(Ne);d(te.$$.fragment,oa),oa.forEach(t),sa.forEach(t),Tt=h(gt),ye=o(gt,"SPAN",{"data-svelte-h":!0}),w(ye)!=="svelte-puoy9n"&&(ye.textContent=jt),gt.forEach(t),Ve=h(e),d(ae.$$.fragment,e),Ke=h(e),A=o(e,"H3",{class:!0});var wt=c(A);I=o(wt,"A",{id:!0,class:!0,href:!0});var ra=c(I);Pe=o(ra,"SPAN",{});var na=c(Pe);d(se.$$.fragment,na),na.forEach(t),ra.forEach(t),Et=h(wt),xe=o(wt,"SPAN",{"data-svelte-h":!0}),w(xe)!=="svelte-g1p7ih"&&(xe.textContent=Dt),wt.forEach(t),Oe=h(e),d(oe.$$.fragment,e),et=h(e),T=o(e,"H3",{class:!0});var $t=c(T);R=o($t,"A",{id:!0,class:!0,href:!0});var ia=c(R);Me=o(ia,"SPAN",{});var la=c(Me);d(re.$$.fragment,la),la.forEach(t),ia.forEach(t),qt=h($t),be=o($t,"SPAN",{"data-svelte-h":!0}),w(be)!=="svelte-1434aim"&&(be.textContent=Lt),$t.forEach(t),tt=h(e),d(ne.$$.fragment,e),at=h(e),d(ie.$$.fragment,e),st=h(e),E=o(e,"H3",{class:!0});var vt=c(E);W=o(vt,"A",{id:!0,class:!0,href:!0});var ha=c(W);Ue=o(ha,"SPAN",{});var ca=c(Ue);d(le.$$.fragment,ca),ca.forEach(t),ha.forEach(t),St=h(vt),_e=o(vt,"SPAN",{"data-svelte-h":!0}),w(_e)!=="svelte-1bdsrs"&&(_e.textContent=Yt),vt.forEach(t),ot=h(e),d(he.$$.fragment,e),rt=h(e),q=o(e,"H3",{class:!0});var yt=c(q);z=o(yt,"A",{id:!0,class:!0,href:!0});var pa=c(z);He=o(pa,"SPAN",{});var da=c(He);d(ce.$$.fragment,da),da.forEach(t),pa.forEach(t),Nt=h(yt),Ce=o(yt,"SPAN",{"data-svelte-h":!0}),w(Ce)!=="svelte-1r6yp2"&&(Ce.textContent=Bt),yt.forEach(t),nt=h(e),d(pe.$$.fragment,e),it=h(e),S=o(e,"H3",{class:!0});var xt=c(S);G=o(xt,"A",{id:!0,class:!0,href:!0});var ua=c(G);Je=o(ua,"SPAN",{});var fa=c(Je);d(de.$$.fragment,fa),fa.forEach(t),ua.forEach(t),Pt=h(xt),ke=o(xt,"SPAN",{"data-svelte-h":!0}),w(ke)!=="svelte-1m2d93t"&&(ke.textContent=Ft),xt.forEach(t),lt=h(e),d(ue.$$.fragment,e),ht=h(e),N=o(e,"H3",{class:!0});var bt=c(N);j=o(bt,"A",{id:!0,class:!0,href:!0});var ma=c(j);Ie=o(ma,"SPAN",{});var ga=c(Ie);d(fe.$$.fragment,ga),ga.forEach(t),ma.forEach(t),Mt=h(bt),Ae=o(bt,"SPAN",{"data-svelte-h":!0}),w(Ae)!=="svelte-75aqss"&&(Ae.textContent=Zt),bt.forEach(t),ct=h(e),d(me.$$.fragment,e),this.h()},h(){r(y,"name","hf:doc:metadata"),r(y,"content",JSON.stringify(Aa)),r(P,"id","end-of-chapter-quiz"),r(P,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),r(P,"href","#end-of-chapter-quiz"),r(x,"class","relative group"),r(M,"id","1.-the-<code>load_dataset()</code>-function-in-🤗-datasets-allows-you-to-load-a-dataset-from-which-of-the-following-locations?"),r(M,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),r(M,"href","#1.-the-<code>load_dataset()</code>-function-in-🤗-datasets-allows-you-to-load-a-dataset-from-which-of-the-following-locations?"),r(b,"class","relative group"),r(U,"id","2.-suppose-you-load-one-of-the-glue-tasks-as-follows:"),r(U,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),r(U,"href","#2.-suppose-you-load-one-of-the-glue-tasks-as-follows:"),r(_,"class","relative group"),r(H,"id","3.-suppose-you-have-a-dataset-about-household-pets-called-<code>pets_dataset</code>,-which-has-a-<code>name</code>-column-that-denotes-the-name-of-each-pet.-which-of-the-following-approaches-would-allow-you-to-filter-the-dataset-for-all-pets-whose-names-start-with-the-letter-“l”?"),r(H,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),r(H,"href","#3.-suppose-you-have-a-dataset-about-household-pets-called-<code>pets_dataset</code>,-which-has-a-<code>name</code>-column-that-denotes-the-name-of-each-pet.-which-of-the-following-approaches-would-allow-you-to-filter-the-dataset-for-all-pets-whose-names-start-with-the-letter-“l”?"),r(C,"class","relative group"),r(J,"id","4.-what-is-memory-mapping?"),r(J,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),r(J,"href","#4.-what-is-memory-mapping?"),r(k,"class","relative group"),r(I,"id","5.-which-of-the-following-are-the-main-benefits-of-memory-mapping?"),r(I,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),r(I,"href","#5.-which-of-the-following-are-the-main-benefits-of-memory-mapping?"),r(A,"class","relative group"),r(R,"id","6.-why-does-the-following-code-fail?"),r(R,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),r(R,"href","#6.-why-does-the-following-code-fail?"),r(T,"class","relative group"),r(W,"id","7.-which-of-the-following-are-the-main-benefits-of-creating-a-dataset-card?"),r(W,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),r(W,"href","#7.-which-of-the-following-are-the-main-benefits-of-creating-a-dataset-card?"),r(E,"class","relative group"),r(z,"id","8.-what-is-semantic-search?"),r(z,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),r(z,"href","#8.-what-is-semantic-search?"),r(q,"class","relative group"),r(G,"id","9.-for-asymmetric-semantic-search,-you-usually-have:"),r(G,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),r(G,"href","#9.-for-asymmetric-semantic-search,-you-usually-have:"),r(S,"class","relative group"),r(j,"id","10.-can-i-use-🤗-datasets-to-load-data-for-use-in-other-domains,-like-speech-processing?"),r(j,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),r(j,"href","#10.-can-i-use-🤗-datasets-to-load-data-for-use-in-other-domains,-like-speech-processing?"),r(N,"class","relative group")},m(e,a){n(document.head,y),i(e,Re,a),i(e,x,a),n(x,P),n(P,Te),u(D,Te,null),n(x,_t),n(x,ge),i(e,We,a),u(L,e,a),i(e,ze,a),i(e,Y,a),i(e,Ge,a),i(e,B,a),i(e,je,a),i(e,b,a),n(b,M),n(M,Ee),u(F,Ee,null),n(b,Ct),n(b,we),i(e,De,a),u(Z,e,a),i(e,Le,a),i(e,_,a),n(_,U),n(U,qe),u(X,qe,null),n(_,kt),n(_,$e),i(e,Ye,a),u(Q,e,a),i(e,Be,a),i(e,V,a),i(e,Fe,a),u(K,e,a),i(e,Ze,a),i(e,C,a),n(C,H),n(H,Se),u(O,Se,null),n(C,At),n(C,ve),i(e,Xe,a),u(ee,e,a),i(e,Qe,a),i(e,k,a),n(k,J),n(J,Ne),u(te,Ne,null),n(k,Tt),n(k,ye),i(e,Ve,a),u(ae,e,a),i(e,Ke,a),i(e,A,a),n(A,I),n(I,Pe),u(se,Pe,null),n(A,Et),n(A,xe),i(e,Oe,a),u(oe,e,a),i(e,et,a),i(e,T,a),n(T,R),n(R,Me),u(re,Me,null),n(T,qt),n(T,be),i(e,tt,a),u(ne,e,a),i(e,at,a),u(ie,e,a),i(e,st,a),i(e,E,a),n(E,W),n(W,Ue),u(le,Ue,null),n(E,St),n(E,_e),i(e,ot,a),u(he,e,a),i(e,rt,a),i(e,q,a),n(q,z),n(z,He),u(ce,He,null),n(q,Nt),n(q,Ce),i(e,nt,a),u(pe,e,a),i(e,it,a),i(e,S,a),n(S,G),n(G,Je),u(de,Je,null),n(S,Pt),n(S,ke),i(e,lt,a),u(ue,e,a),i(e,ht,a),i(e,N,a),n(N,j),n(j,Ie),u(fe,Ie,null),n(N,Mt),n(N,Ae),i(e,ct,a),u(me,e,a),pt=!0},p:va,i(e){pt||(f(D.$$.fragment,e),f(L.$$.fragment,e),f(F.$$.fragment,e),f(Z.$$.fragment,e),f(X.$$.fragment,e),f(Q.$$.fragment,e),f(K.$$.fragment,e),f(O.$$.fragment,e),f(ee.$$.fragment,e),f(te.$$.fragment,e),f(ae.$$.fragment,e),f(se.$$.fragment,e),f(oe.$$.fragment,e),f(re.$$.fragment,e),f(ne.$$.fragment,e),f(ie.$$.fragment,e),f(le.$$.fragment,e),f(he.$$.fragment,e),f(ce.$$.fragment,e),f(pe.$$.fragment,e),f(de.$$.fragment,e),f(ue.$$.fragment,e),f(fe.$$.fragment,e),f(me.$$.fragment,e),pt=!0)},o(e){m(D.$$.fragment,e),m(L.$$.fragment,e),m(F.$$.fragment,e),m(Z.$$.fragment,e),m(X.$$.fragment,e),m(Q.$$.fragment,e),m(K.$$.fragment,e),m(O.$$.fragment,e),m(ee.$$.fragment,e),m(te.$$.fragment,e),m(ae.$$.fragment,e),m(se.$$.fragment,e),m(oe.$$.fragment,e),m(re.$$.fragment,e),m(ne.$$.fragment,e),m(ie.$$.fragment,e),m(le.$$.fragment,e),m(he.$$.fragment,e),m(ce.$$.fragment,e),m(pe.$$.fragment,e),m(de.$$.fragment,e),m(ue.$$.fragment,e),m(fe.$$.fragment,e),m(me.$$.fragment,e),pt=!1},d(e){e&&(t(Re),t(x),t(We),t(ze),t(Y),t(Ge),t(B),t(je),t(b),t(De),t(Le),t(_),t(Ye),t(Be),t(V),t(Fe),t(Ze),t(C),t(Xe),t(Qe),t(k),t(Ve),t(Ke),t(A),t(Oe),t(et),t(T),t(tt),t(at),t(st),t(E),t(ot),t(rt),t(q),t(nt),t(it),t(S),t(lt),t(ht),t(N),t(ct)),t(y),g(D),g(L,e),g(F),g(Z,e),g(X),g(Q,e),g(K,e),g(O),g(ee,e),g(te),g(ae,e),g(se),g(oe,e),g(re),g(ne,e),g(ie,e),g(le),g(he,e),g(ce),g(pe,e),g(de),g(ue,e),g(fe),g(me,e)}}}const Aa={local:"end-of-chapter-quiz",title:"End-of-chapter quiz"};function Ta(Ut){return ya(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ua extends xa{constructor(y){super(),ba(this,y,Ta,ka,$a,{})}}export{Ua as component};
