import{s as _e,n as $e,o as Ce}from"../chunks/scheduler.37c15a92.js";import{S as be,i as ke,g as a,s as l,p as Q,A as Pe,h as s,f as t,c as r,j as g,q as V,m as f,k as o,v as h,a as i,r as X,d as Y,t as Z,u as ee}from"../chunks/index.34c13df1.js";import{I as se}from"../chunks/IconCopyLink.b3dd524c.js";import{C as Ne}from"../chunks/CourseFloatingBanner.6fa34a2a.js";function Le(ie){let c,z,u,d,T,x,te,A,oe="Natural Language Processing",H,y,M,_,le="Before jumping into Transformer models, let’s do a quick overview of what natural language processing is and why we care about it.",G,m,v,q,$,ne,E,re="What is NLP?",W,C,he="NLP is a field of linguistics and machine learning focused on understanding everything related to human language. The aim of NLP tasks is not only to understand single words individually, but to be able to understand the context of those words.",j,b,ce="The following is a list of common NLP tasks, with some examples of each:",F,k,ue="<li><strong>Classifying whole sentences</strong>: Getting the sentiment of a review, detecting if an email is spam, determining if a sentence is grammatically correct or whether two sentences are logically related or not</li> <li><strong>Classifying each word in a sentence</strong>: Identifying the grammatical components of a sentence (noun, verb, adjective), or the named entities (person, location, organization)</li> <li><strong>Generating text content</strong>: Completing a prompt with auto-generated text, filling in the blanks in a text with masked words</li> <li><strong>Extracting an answer from a text</strong>: Given a question and a context, extracting the answer to the question based on the information provided in the context</li> <li><strong>Generating a new sentence from an input text</strong>: Translating a text into another language, summarizing a text</li>",B,P,me="NLP isn’t limited to written text though. It also tackles complex challenges in speech recognition and computer vision, such as generating a transcript of an audio sample or a description of an image.",U,p,w,I,N,ae,S,pe="Why is it challenging?",J,L,ge="Computers don’t process information in the same way as humans. For example, when we read the sentence “I am hungry,” we can easily understand its meaning. Similarly, given two sentences such as “I am hungry” and “I am sad,” we’re able to easily determine how similar they are. For machine learning (ML) models, such tasks are more difficult. The text needs to be processed in a way that enables the model to learn from it. And because language is complex, we need to think carefully about how this processing must be done. There has been a lot of research done on how to represent text, and we will look at some methods in the next chapter.",O;return x=new se({}),y=new Ne({props:{chapter:1,classNames:"absolute z-10 right-0 top-0"}}),$=new se({}),N=new se({}),{c(){c=a("meta"),z=l(),u=a("h1"),d=a("a"),T=a("span"),Q(x.$$.fragment),te=l(),A=a("span"),A.textContent=oe,H=l(),Q(y.$$.fragment),M=l(),_=a("p"),_.textContent=le,G=l(),m=a("h2"),v=a("a"),q=a("span"),Q($.$$.fragment),ne=l(),E=a("span"),E.textContent=re,W=l(),C=a("p"),C.textContent=he,j=l(),b=a("p"),b.textContent=ce,F=l(),k=a("ul"),k.innerHTML=ue,B=l(),P=a("p"),P.textContent=me,U=l(),p=a("h2"),w=a("a"),I=a("span"),Q(N.$$.fragment),ae=l(),S=a("span"),S.textContent=pe,J=l(),L=a("p"),L.textContent=ge,this.h()},l(e){const n=Pe("svelte-1phssyn",document.head);c=s(n,"META",{name:!0,content:!0}),n.forEach(t),z=r(e),u=s(e,"H1",{class:!0});var R=g(u);d=s(R,"A",{id:!0,class:!0,href:!0});var fe=g(d);T=s(fe,"SPAN",{});var de=g(T);V(x.$$.fragment,de),de.forEach(t),fe.forEach(t),te=r(R),A=s(R,"SPAN",{"data-svelte-h":!0}),f(A)!=="svelte-1psny5b"&&(A.textContent=oe),R.forEach(t),H=r(e),V(y.$$.fragment,e),M=r(e),_=s(e,"P",{"data-svelte-h":!0}),f(_)!=="svelte-9ahqc4"&&(_.textContent=le),G=r(e),m=s(e,"H2",{class:!0});var D=g(m);v=s(D,"A",{id:!0,class:!0,href:!0});var ve=g(v);q=s(ve,"SPAN",{});var we=g(q);V($.$$.fragment,we),we.forEach(t),ve.forEach(t),ne=r(D),E=s(D,"SPAN",{"data-svelte-h":!0}),f(E)!=="svelte-vumvie"&&(E.textContent=re),D.forEach(t),W=r(e),C=s(e,"P",{"data-svelte-h":!0}),f(C)!=="svelte-14hz609"&&(C.textContent=he),j=r(e),b=s(e,"P",{"data-svelte-h":!0}),f(b)!=="svelte-rkg1z0"&&(b.textContent=ce),F=r(e),k=s(e,"UL",{"data-svelte-h":!0}),f(k)!=="svelte-19s7o39"&&(k.innerHTML=ue),B=r(e),P=s(e,"P",{"data-svelte-h":!0}),f(P)!=="svelte-kv2x67"&&(P.textContent=me),U=r(e),p=s(e,"H2",{class:!0});var K=g(p);w=s(K,"A",{id:!0,class:!0,href:!0});var xe=g(w);I=s(xe,"SPAN",{});var ye=g(I);V(N.$$.fragment,ye),ye.forEach(t),xe.forEach(t),ae=r(K),S=s(K,"SPAN",{"data-svelte-h":!0}),f(S)!=="svelte-1sc0vkv"&&(S.textContent=pe),K.forEach(t),J=r(e),L=s(e,"P",{"data-svelte-h":!0}),f(L)!=="svelte-1g6qo1w"&&(L.textContent=ge),this.h()},h(){o(c,"name","hf:doc:metadata"),o(c,"content",JSON.stringify(Ae)),o(d,"id","natural-language-processing"),o(d,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),o(d,"href","#natural-language-processing"),o(u,"class","relative group"),o(v,"id","what-is-nlp"),o(v,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),o(v,"href","#what-is-nlp"),o(m,"class","relative group"),o(w,"id","why-is-it-challenging"),o(w,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),o(w,"href","#why-is-it-challenging"),o(p,"class","relative group")},m(e,n){h(document.head,c),i(e,z,n),i(e,u,n),h(u,d),h(d,T),X(x,T,null),h(u,te),h(u,A),i(e,H,n),X(y,e,n),i(e,M,n),i(e,_,n),i(e,G,n),i(e,m,n),h(m,v),h(v,q),X($,q,null),h(m,ne),h(m,E),i(e,W,n),i(e,C,n),i(e,j,n),i(e,b,n),i(e,F,n),i(e,k,n),i(e,B,n),i(e,P,n),i(e,U,n),i(e,p,n),h(p,w),h(w,I),X(N,I,null),h(p,ae),h(p,S),i(e,J,n),i(e,L,n),O=!0},p:$e,i(e){O||(Y(x.$$.fragment,e),Y(y.$$.fragment,e),Y($.$$.fragment,e),Y(N.$$.fragment,e),O=!0)},o(e){Z(x.$$.fragment,e),Z(y.$$.fragment,e),Z($.$$.fragment,e),Z(N.$$.fragment,e),O=!1},d(e){e&&(t(z),t(u),t(H),t(M),t(_),t(G),t(m),t(W),t(C),t(j),t(b),t(F),t(k),t(B),t(P),t(U),t(p),t(J),t(L)),t(c),ee(x),ee(y,e),ee($),ee(N)}}}const Ae={local:"natural-language-processing",sections:[{local:"what-is-nlp",title:"What is NLP?"},{local:"why-is-it-challenging",title:"Why is it challenging?"}],title:"Natural Language Processing"};function Ee(ie){return Ce(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ze extends be{constructor(c){super(),ke(this,c,Ee,Le,_e,{})}}export{ze as component};
