import{s as Kt,n as eo,o as to}from"../chunks/scheduler.37c15a92.js";import{S as oo,i as ao,g as i,s,p as c,x as so,A as no,h as r,f as o,c as n,j as b,q as u,m as l,y as io,k as m,v as p,a,r as d,d as v,t as h,u as f}from"../chunks/index.34c13df1.js";import{I as ct}from"../chunks/IconCopyLink.b3dd524c.js";import{C as $}from"../chunks/CodeBlock.47a84cd0.js";function ro(ft){let g,we,y,M,be,q,ut,de,bt="Introdução",Ce,H,$t='Bem-vindo(a) ao curso da Hugging Face! Essa introdução te guiará para a configuração do ambiente de trabalho. Se você está começando agora o curso, nós recomendamos que você primeiramente dê uma olhada no <a href="/course/chapter1">Capítulo 1</a>, para só então voltar aqui, configurar o ambiente e começar a por a mão no código.',xe,L,gt="Todas as bibliotecas que usaremos nesse curso estão disponíveis como pacotes do Python, então aqui iremos te mostrar como configurar o ambiente no Python e instalar as bibliotecas específicas que você precisará.",Me,U,yt="Abordaremos 2 modos de configurar o ambiente, usando um Colab notebook ou um ambiente virtual Python. Fique à vontade para escolher o que mais fizer sentido para você.  Para os iniciantes, recomendamos fortemente que vocês iniciem pelo Colab notebook.",_e,J,wt="Note que nós não iremos cobrir o básico sobre o Windows. Se você estiver usando o Windows, recomendamos seguir as instruções pelo Colab notebook. Se estiver usando Linux ou macOS, você pode escolher qualquer uma das abordagens descritas aqui.",ke,I,Ct='A maior parte do curso depende de você ter uma conta na Hugging Face. Recomendamos criar uma agora <a href="https://huggingface.co/join" rel="nofollow">criar uma conta</a>.',Te,w,_,$e,N,dt,ve,xt="Usando um notebook Google Colab",Pe,G,Mt=`Se você não está familiarizado com o Colab, recomendamos seguir essa [introdução]
(<a href="https://colab.research.google.com/notebooks/intro.ipynb" rel="nofollow">https://colab.research.google.com/notebooks/intro.ipynb</a>). O Colab permitirá você usar algumas acelerações de hardware, como GPUs ou TPUs, e é gratuito para ambientes de trabalho pequenos.`,je,W,_t="Uma vez que você estiver confortável com o ambiente do Colab, crie um novo notebook e comece com essa configuração:",qe,k,kt='<img src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter0/new_colab.png" alt="An empty colab notebook" width="80%"/>',He,E,Tt="O próximo passo é instalar as bibliotecas que serão usadas nesse curso. Usaremos <code>pip</code> para a instalação, que é o gerenciador de pacotes do Python. Nos notebooks, você pode rodar os comandos do sistema precedendo do caractere <code>!</code>, então você poderá instalar a biblioteca 🤗 Transformers da seguinte forma:",Le,Z,Ue,z,Pt="Você pode assegurar que o pacote foi instalado corretamente por meio de sua importação dentro do ambiente de execução do Python:",Je,A,Ie,T,jt='<img src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter0/install.gif" alt="A gif showing the result of the two commands above: installation and import" width="80%"/>',Ne,S,qt="Isso instalará uma versão bem leve da 🤗 Transformers. Em particular, nenhum framework de aprendizagem de máquina (como PyTorch ou TensorFlow) estão instalados. Desde que iremos usar bastante de suas features na biblioteca, recomendamos instalar a versão de desenvolvimento, que vem com todas as dependências requisitadas para cada caso de uso imaginável:",Ge,V,We,R,Ht="Isso levará um pouco de tempo, mas quando acabar você estará pronto/a para seguir o resto do curso!",Ee,C,P,ge,B,vt,he,Lt="Usando um ambiente virtual Python",Ze,X,Ut='Se você perferir usar o ambiente virtual Python, o primeiro passo é instalar o Python no seu sistema. Nós recomendamos <a href="https://realpython.com/installing-python/" rel="nofollow">esse guia</a> para começar.',ze,F,Jt="Uma vez instalado o Python, você será capaz de rodar os comandos do Python em seu terminal. Você pode iniciar por rodar o seguinte comando para ter certeza que está instalado corretamente antes de iniciar os seguintes passos: <code>python --version</code>. Isso irá imprimir na tela a versão do Python disponível no seu sistema.",Ae,Y,It="Quando você rodar um comando Python no seu terminal, como o <code>python --version</code>, você deve imaginar como um programa rodando seu comando como o “main” Python no seu sistema. Recomendamos manter essa instalação livre de qualquer pacote, e usando a para criar ambientes separados para cada aplicação que você for trabalhar - desse modo, cada aplicação pode ter suas próprias dependências e pacotes, e você não precisará se preocupar sobre potenciais problemas de compatibilidades com outras aplicações.",Se,Q,Nt='No Python isso é feito com <a href="https://docs.python.org/3/tutorial/venv.html" rel="nofollow"><em>ambientes virtuais</em></a>, que é uma árvore de diretórios que contém a instalação do Python com uma versão particular do mesmo juntamente com todos os pacotes que a aplicação precisa. Criar um ambiente virtual como esse pode ser feito com inúmeras ferramentas, mas usaremos o pacote oficial do Python para esse propósito, que se chama <a href="https://docs.python.org/3/library/venv.html#module-venv" rel="nofollow"><code>venv</code></a>.',Ve,D,Gt="Primeiro, crie o diretório que você gostaria que sua aplicação existisse - por exemplo, você pode querer criar um novo diretório chamado <em>curso-transformers</em> na raíz de seu diretório home:",Re,O,Be,K,Wt="Dentro desse diretório, crie um ambiente virtual usando o módulo Python <code>venv</code>:",Xe,ee,Fe,te,Et="Agora você deve ter dentro um diretório chamado <em>.env</em> em sua pasta vazia:",Ye,oe,Qe,ae,De,se,Zt="Você pode acessar e sair do seu ambiente virtual com os scripts <code>activate</code> e <code>deactivate</code>:",Oe,ne,Ke,ie,zt="Você pode ter certeza que seu ambiente virtual está ativado rodando o comando <code>which python</code>: se ele apontar para o ambiente virtual, então você conseguiu ativa-lo com sucesso!",et,re,tt,le,ot,x,j,ye,me,ht,fe,At="Instalando dependências",at,pe,St="Como na seção passada usando as instâncias do Google Colab, você precisará instalar os pacotes necessários para continuar. Novamente, você pode instalar a versão de desenvolvimento da 🤗 Transformers usando o gerenciador de pacotes <code>pip</code>:",st,ce,nt,ue,Vt="Você agora configurou tudo e está pronto para seguir!",it;return q=new ct({}),N=new ct({}),Z=new $({props:{code:"IXBpcCUyMGluc3RhbGwlMjB0cmFuc2Zvcm1lcnM=",highlighted:'!pip <span class="hljs-keyword">install</span> transformers'}}),A=new $({props:{code:"aW1wb3J0JTIwdHJhbnNmb3JtZXJz",highlighted:'<span class="hljs-keyword">import</span> transformers'}}),V=new $({props:{code:"IXBpcCUyMGluc3RhbGwlMjB0cmFuc2Zvcm1lcnMlNUJzZW50ZW5jZXBpZWNlJTVE",highlighted:'!pip <span class="hljs-keyword">install</span> transformers[sentencepiece]'}}),B=new ct({}),O=new $({props:{code:"bWtkaXIlMjB+JTJGdHJhbnNmb3JtZXJzLWNvdXJzZSUwQWNkJTIwfiUyRnRyYW5zZm9ybWVycy1jb3Vyc2U=",highlighted:`<span class="hljs-built_in">mkdir</span> ~/transformers-course
<span class="hljs-built_in">cd</span> ~/transformers-course`}}),ee=new $({props:{code:"cHl0aG9uJTIwLW0lMjB2ZW52JTIwLmVudg==",highlighted:'<span class="hljs-keyword">python</span> -m venv .<span class="hljs-keyword">env</span>'}}),oe=new $({props:{code:"bHMlMjAtYQ==",highlighted:'<span class="hljs-built_in">ls</span> -a'}}),ae=new $({props:{code:"LiUyMCUyMCUyMCUyMCUyMCUyMC4uJTIwJTIwJTIwJTIwLmVudg==",highlighted:'.      <span class="hljs-string">..</span>    <span class="hljs-string">.env</span>'}}),ne=new $({props:{code:"JTIzJTIwQWN0aXZhdGUlMjB0aGUlMjB2aXJ0dWFsJTIwZW52aXJvbm1lbnQlMEFzb3VyY2UlMjAuZW52JTJGYmluJTJGYWN0aXZhdGUlMEElMEElMjMlMjBEZWFjdGl2YXRlJTIwdGhlJTIwdmlydHVhbCUyMGVudmlyb25tZW50JTBBc291cmNlJTIwLmVudiUyRmJpbiUyRmRlYWN0aXZhdGU=",highlighted:`<span class="hljs-comment"># Activate the virtual environment</span>
<span class="hljs-built_in">source</span> .<span class="hljs-built_in">env</span>/bin/activate

<span class="hljs-comment"># Deactivate the virtual environment</span>
<span class="hljs-built_in">source</span> .<span class="hljs-built_in">env</span>/bin/deactivate`}}),re=new $({props:{code:"d2hpY2glMjBweXRob24=",highlighted:'<span class="hljs-built_in">which</span> python'}}),le=new $({props:{code:"JTJGaG9tZSUyRiUzQ3VzZXIlM0UlMkZ0cmFuc2Zvcm1lcnMtY291cnNlJTJGLmVudiUyRmJpbiUyRnB5dGhvbg==",highlighted:'<span class="hljs-regexp">/home/</span>&lt;user&gt;<span class="hljs-regexp">/transformers-course/</span>.env<span class="hljs-regexp">/bin/</span>python'}}),me=new ct({}),ce=new $({props:{code:"cGlwJTIwaW5zdGFsbCUyMCUyMnRyYW5zZm9ybWVycyU1QnNlbnRlbmNlcGllY2UlNUQlMjI=",highlighted:'pip <span class="hljs-keyword">install</span> <span class="hljs-string">&quot;transformers[sentencepiece]&quot;</span>'}}),{c(){g=i("meta"),we=s(),y=i("h1"),M=i("a"),be=i("span"),c(q.$$.fragment),ut=s(),de=i("span"),de.textContent=bt,Ce=s(),H=i("p"),H.innerHTML=$t,xe=s(),L=i("p"),L.textContent=gt,Me=s(),U=i("p"),U.textContent=yt,_e=s(),J=i("p"),J.textContent=wt,ke=s(),I=i("p"),I.innerHTML=Ct,Te=s(),w=i("h2"),_=i("a"),$e=i("span"),c(N.$$.fragment),dt=s(),ve=i("span"),ve.textContent=xt,Pe=so(`

Usar um notebook Colab é a maneira mais simples possível de configuração, coloque um notebook no seu navegador e se prepare para a codificação!
`),G=i("p"),G.innerHTML=Mt,je=s(),W=i("p"),W.textContent=_t,qe=s(),k=i("div"),k.innerHTML=kt,He=s(),E=i("p"),E.innerHTML=Tt,Le=s(),c(Z.$$.fragment),Ue=s(),z=i("p"),z.textContent=Pt,Je=s(),c(A.$$.fragment),Ie=s(),T=i("div"),T.innerHTML=jt,Ne=s(),S=i("p"),S.textContent=qt,Ge=s(),c(V.$$.fragment),We=s(),R=i("p"),R.textContent=Ht,Ee=s(),C=i("h2"),P=i("a"),ge=i("span"),c(B.$$.fragment),vt=s(),he=i("span"),he.textContent=Lt,Ze=s(),X=i("p"),X.innerHTML=Ut,ze=s(),F=i("p"),F.innerHTML=Jt,Ae=s(),Y=i("p"),Y.innerHTML=It,Se=s(),Q=i("p"),Q.innerHTML=Nt,Ve=s(),D=i("p"),D.innerHTML=Gt,Re=s(),c(O.$$.fragment),Be=s(),K=i("p"),K.innerHTML=Wt,Xe=s(),c(ee.$$.fragment),Fe=s(),te=i("p"),te.innerHTML=Et,Ye=s(),c(oe.$$.fragment),Qe=s(),c(ae.$$.fragment),De=s(),se=i("p"),se.innerHTML=Zt,Oe=s(),c(ne.$$.fragment),Ke=s(),ie=i("p"),ie.innerHTML=zt,et=s(),c(re.$$.fragment),tt=s(),c(le.$$.fragment),ot=s(),x=i("h3"),j=i("a"),ye=i("span"),c(me.$$.fragment),ht=s(),fe=i("span"),fe.textContent=At,at=s(),pe=i("p"),pe.innerHTML=St,st=s(),c(ce.$$.fragment),nt=s(),ue=i("p"),ue.textContent=Vt,this.h()},l(e){const t=no("svelte-1phssyn",document.head);g=r(t,"META",{name:!0,content:!0}),t.forEach(o),we=n(e),y=r(e,"H1",{class:!0});var rt=b(y);M=r(rt,"A",{id:!0,class:!0,href:!0});var Rt=b(M);be=r(Rt,"SPAN",{});var Bt=b(be);u(q.$$.fragment,Bt),Bt.forEach(o),Rt.forEach(o),ut=n(rt),de=r(rt,"SPAN",{"data-svelte-h":!0}),l(de)!=="svelte-1f5xrrl"&&(de.textContent=bt),rt.forEach(o),Ce=n(e),H=r(e,"P",{"data-svelte-h":!0}),l(H)!=="svelte-1sccyy7"&&(H.innerHTML=$t),xe=n(e),L=r(e,"P",{"data-svelte-h":!0}),l(L)!=="svelte-1pookyt"&&(L.textContent=gt),Me=n(e),U=r(e,"P",{"data-svelte-h":!0}),l(U)!=="svelte-hteu4b"&&(U.textContent=yt),_e=n(e),J=r(e,"P",{"data-svelte-h":!0}),l(J)!=="svelte-1jj0tts"&&(J.textContent=wt),ke=n(e),I=r(e,"P",{"data-svelte-h":!0}),l(I)!=="svelte-ivkibr"&&(I.innerHTML=Ct),Te=n(e),w=r(e,"H2",{class:!0});var lt=b(w);_=r(lt,"A",{id:!0,class:!0,href:!0});var Xt=b(_);$e=r(Xt,"SPAN",{});var Ft=b($e);u(N.$$.fragment,Ft),Ft.forEach(o),Xt.forEach(o),dt=n(lt),ve=r(lt,"SPAN",{"data-svelte-h":!0}),l(ve)!=="svelte-1uc52i2"&&(ve.textContent=xt),lt.forEach(o),Pe=io(e,`

Usar um notebook Colab é a maneira mais simples possível de configuração, coloque um notebook no seu navegador e se prepare para a codificação!
`),G=r(e,"P",{"data-svelte-h":!0}),l(G)!=="svelte-sgko0w"&&(G.innerHTML=Mt),je=n(e),W=r(e,"P",{"data-svelte-h":!0}),l(W)!=="svelte-1cq1pyk"&&(W.textContent=_t),qe=n(e),k=r(e,"DIV",{class:!0,"data-svelte-h":!0}),l(k)!=="svelte-1mpe2rl"&&(k.innerHTML=kt),He=n(e),E=r(e,"P",{"data-svelte-h":!0}),l(E)!=="svelte-12fekw2"&&(E.innerHTML=Tt),Le=n(e),u(Z.$$.fragment,e),Ue=n(e),z=r(e,"P",{"data-svelte-h":!0}),l(z)!=="svelte-wjxdgq"&&(z.textContent=Pt),Je=n(e),u(A.$$.fragment,e),Ie=n(e),T=r(e,"DIV",{class:!0,"data-svelte-h":!0}),l(T)!=="svelte-1cj51wg"&&(T.innerHTML=jt),Ne=n(e),S=r(e,"P",{"data-svelte-h":!0}),l(S)!=="svelte-7bpxg4"&&(S.textContent=qt),Ge=n(e),u(V.$$.fragment,e),We=n(e),R=r(e,"P",{"data-svelte-h":!0}),l(R)!=="svelte-vtko65"&&(R.textContent=Ht),Ee=n(e),C=r(e,"H2",{class:!0});var mt=b(C);P=r(mt,"A",{id:!0,class:!0,href:!0});var Yt=b(P);ge=r(Yt,"SPAN",{});var Qt=b(ge);u(B.$$.fragment,Qt),Qt.forEach(o),Yt.forEach(o),vt=n(mt),he=r(mt,"SPAN",{"data-svelte-h":!0}),l(he)!=="svelte-ayq4fd"&&(he.textContent=Lt),mt.forEach(o),Ze=n(e),X=r(e,"P",{"data-svelte-h":!0}),l(X)!=="svelte-aa8hrd"&&(X.innerHTML=Ut),ze=n(e),F=r(e,"P",{"data-svelte-h":!0}),l(F)!=="svelte-138fb3f"&&(F.innerHTML=Jt),Ae=n(e),Y=r(e,"P",{"data-svelte-h":!0}),l(Y)!=="svelte-17pm0s0"&&(Y.innerHTML=It),Se=n(e),Q=r(e,"P",{"data-svelte-h":!0}),l(Q)!=="svelte-xls7gt"&&(Q.innerHTML=Nt),Ve=n(e),D=r(e,"P",{"data-svelte-h":!0}),l(D)!=="svelte-1odsa49"&&(D.innerHTML=Gt),Re=n(e),u(O.$$.fragment,e),Be=n(e),K=r(e,"P",{"data-svelte-h":!0}),l(K)!=="svelte-mfntj"&&(K.innerHTML=Wt),Xe=n(e),u(ee.$$.fragment,e),Fe=n(e),te=r(e,"P",{"data-svelte-h":!0}),l(te)!=="svelte-12wnrn8"&&(te.innerHTML=Et),Ye=n(e),u(oe.$$.fragment,e),Qe=n(e),u(ae.$$.fragment,e),De=n(e),se=r(e,"P",{"data-svelte-h":!0}),l(se)!=="svelte-gngv1z"&&(se.innerHTML=Zt),Oe=n(e),u(ne.$$.fragment,e),Ke=n(e),ie=r(e,"P",{"data-svelte-h":!0}),l(ie)!=="svelte-1usv6k6"&&(ie.innerHTML=zt),et=n(e),u(re.$$.fragment,e),tt=n(e),u(le.$$.fragment,e),ot=n(e),x=r(e,"H3",{class:!0});var pt=b(x);j=r(pt,"A",{id:!0,class:!0,href:!0});var Dt=b(j);ye=r(Dt,"SPAN",{});var Ot=b(ye);u(me.$$.fragment,Ot),Ot.forEach(o),Dt.forEach(o),ht=n(pt),fe=r(pt,"SPAN",{"data-svelte-h":!0}),l(fe)!=="svelte-1u580os"&&(fe.textContent=At),pt.forEach(o),at=n(e),pe=r(e,"P",{"data-svelte-h":!0}),l(pe)!=="svelte-1nh9cdm"&&(pe.innerHTML=St),st=n(e),u(ce.$$.fragment,e),nt=n(e),ue=r(e,"P",{"data-svelte-h":!0}),l(ue)!=="svelte-1ag3kf5"&&(ue.textContent=Vt),this.h()},h(){m(g,"name","hf:doc:metadata"),m(g,"content",JSON.stringify(lo)),m(M,"id","introduo"),m(M,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(M,"href","#introduo"),m(y,"class","relative group"),m(_,"id","usando-um-notebook-google-colab"),m(_,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(_,"href","#usando-um-notebook-google-colab"),m(w,"class","relative group"),m(k,"class","flex justify-center"),m(T,"class","flex justify-center"),m(P,"id","usando-um-ambiente-virtual-python"),m(P,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(P,"href","#usando-um-ambiente-virtual-python"),m(C,"class","relative group"),m(j,"id","instalando-dependncias"),m(j,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(j,"href","#instalando-dependncias"),m(x,"class","relative group")},m(e,t){p(document.head,g),a(e,we,t),a(e,y,t),p(y,M),p(M,be),d(q,be,null),p(y,ut),p(y,de),a(e,Ce,t),a(e,H,t),a(e,xe,t),a(e,L,t),a(e,Me,t),a(e,U,t),a(e,_e,t),a(e,J,t),a(e,ke,t),a(e,I,t),a(e,Te,t),a(e,w,t),p(w,_),p(_,$e),d(N,$e,null),p(w,dt),p(w,ve),a(e,Pe,t),a(e,G,t),a(e,je,t),a(e,W,t),a(e,qe,t),a(e,k,t),a(e,He,t),a(e,E,t),a(e,Le,t),d(Z,e,t),a(e,Ue,t),a(e,z,t),a(e,Je,t),d(A,e,t),a(e,Ie,t),a(e,T,t),a(e,Ne,t),a(e,S,t),a(e,Ge,t),d(V,e,t),a(e,We,t),a(e,R,t),a(e,Ee,t),a(e,C,t),p(C,P),p(P,ge),d(B,ge,null),p(C,vt),p(C,he),a(e,Ze,t),a(e,X,t),a(e,ze,t),a(e,F,t),a(e,Ae,t),a(e,Y,t),a(e,Se,t),a(e,Q,t),a(e,Ve,t),a(e,D,t),a(e,Re,t),d(O,e,t),a(e,Be,t),a(e,K,t),a(e,Xe,t),d(ee,e,t),a(e,Fe,t),a(e,te,t),a(e,Ye,t),d(oe,e,t),a(e,Qe,t),d(ae,e,t),a(e,De,t),a(e,se,t),a(e,Oe,t),d(ne,e,t),a(e,Ke,t),a(e,ie,t),a(e,et,t),d(re,e,t),a(e,tt,t),d(le,e,t),a(e,ot,t),a(e,x,t),p(x,j),p(j,ye),d(me,ye,null),p(x,ht),p(x,fe),a(e,at,t),a(e,pe,t),a(e,st,t),d(ce,e,t),a(e,nt,t),a(e,ue,t),it=!0},p:eo,i(e){it||(v(q.$$.fragment,e),v(N.$$.fragment,e),v(Z.$$.fragment,e),v(A.$$.fragment,e),v(V.$$.fragment,e),v(B.$$.fragment,e),v(O.$$.fragment,e),v(ee.$$.fragment,e),v(oe.$$.fragment,e),v(ae.$$.fragment,e),v(ne.$$.fragment,e),v(re.$$.fragment,e),v(le.$$.fragment,e),v(me.$$.fragment,e),v(ce.$$.fragment,e),it=!0)},o(e){h(q.$$.fragment,e),h(N.$$.fragment,e),h(Z.$$.fragment,e),h(A.$$.fragment,e),h(V.$$.fragment,e),h(B.$$.fragment,e),h(O.$$.fragment,e),h(ee.$$.fragment,e),h(oe.$$.fragment,e),h(ae.$$.fragment,e),h(ne.$$.fragment,e),h(re.$$.fragment,e),h(le.$$.fragment,e),h(me.$$.fragment,e),h(ce.$$.fragment,e),it=!1},d(e){e&&(o(we),o(y),o(Ce),o(H),o(xe),o(L),o(Me),o(U),o(_e),o(J),o(ke),o(I),o(Te),o(w),o(Pe),o(G),o(je),o(W),o(qe),o(k),o(He),o(E),o(Le),o(Ue),o(z),o(Je),o(Ie),o(T),o(Ne),o(S),o(Ge),o(We),o(R),o(Ee),o(C),o(Ze),o(X),o(ze),o(F),o(Ae),o(Y),o(Se),o(Q),o(Ve),o(D),o(Re),o(Be),o(K),o(Xe),o(Fe),o(te),o(Ye),o(Qe),o(De),o(se),o(Oe),o(Ke),o(ie),o(et),o(tt),o(ot),o(x),o(at),o(pe),o(st),o(nt),o(ue)),o(g),f(q),f(N),f(Z,e),f(A,e),f(V,e),f(B),f(O,e),f(ee,e),f(oe,e),f(ae,e),f(ne,e),f(re,e),f(le,e),f(me),f(ce,e)}}}const lo={local:"introduo",sections:[{local:"usando-um-notebook-google-colab",title:"Usando um notebook Google Colab"},{local:"usando-um-ambiente-virtual-python",sections:[{local:"instalando-dependncias",title:"Instalando dependências"}],title:"Usando um ambiente virtual Python"}],title:"Introdução"};function mo(ft){return to(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ho extends oo{constructor(g){super(),ao(this,g,mo,ro,Kt,{})}}export{ho as component};
