import{s as Pe,n as $e,o as Le}from"../chunks/scheduler.37c15a92.js";import{S as je,i as Te,g as i,s as a,p as At,A as ye,h as s,f as l,c as p,m as u,q as Bt,j as Qt,k as o,v as Z,a as n,r as zt,d as Ft,t as Nt,u as Rt}from"../chunks/index.34c13df1.js";import{I as ke}from"../chunks/IconCopyLink.b3dd524c.js";import{C as Ee}from"../chunks/CodeBlock.47a84cd0.js";import{C as qe}from"../chunks/CourseFloatingBanner.366b7a0e.js";function Se(Vt){let f,W,v,It="Создание карточки модели",g,w,K,P,Dt="Карточка модели — это файл, который, возможно, так же важен, как файлы модели и токенизатора в репозитории моделей. Это центральное описание модели, обеспечивающее возможность повторного использования другими членами сообщества и воспроизводимость результатов, а также предоставляющее платформу для других участников.",tt,$,Gt="Документирование процесса обучения и оценки помогает другим понять, чего ожидать от модели, а предоставление достаточной информации об использованных данных, а также о проведенной предварительной и постобработке. По карточке модели ясны ограничения, предубеждения и контексты, в которых модель может быть полезна, а в каких случаях окажется бесполезной.",et,L,Jt="Поэтому создание карточки модели, которая четко определяет вашу модель, является очень важным шагом. Здесь мы даем несколько советов, которые помогут вам в этом. Карточка модели создается с помощью файла <em>README.md</em>, который вы видели ранее, который представляет собой файл Markdown.",lt,j,Ot='Концепция «карточки модели» возникла в результате исследовательского направления Google, впервые представленного в статье [“Model Cards for Model Reporting”] (<a href="https://arxiv.org/abs/1810.03993" rel="nofollow">https://arxiv.org/abs/1810.03993</a>) Маргарет Митчелл и др. Большая часть информации, содержащейся здесь, основана на этом документе, и мы рекомендуем вам ознакомиться с ним, чтобы понять, почему карточки с моделями так важны в мире, который ценит воспроизводимость, возможность повторного использования и честность.',nt,T,Xt="Карточка модели обычно начинается с очень краткого общего обзора того, для чего предназначена модель, за которым следуют дополнительные сведения в следующих разделах:",it,y,Yt="<li>Описание модели</li> <li>Предполагаемое использование и ограничения</li> <li>Как использовать</li> <li>Ограничения и предубеждения</li> <li>Тренировочные данные</li> <li>Процедура обучения</li> <li>Результаты оценки</li>",st,k,Zt="Давайте посмотрим, что должен содержать каждый из этих разделов.",at,C,Wt="Описание модели",pt,E,gt="Описание содержит основные сведения о модели. Оно включает в себя архитектуру, версию, если модель была представлена в статье - автора, ссылку на оригинальную реализацию (если доступна), автора и общую информацию о модели. Любые авторские права должны быть указаны здесь. В этом разделе также можно упомянуть общую информацию о процедурах обучения, параметрах и важных отказах от ответственности.",ut,m,Kt="Предполагаемое использование и ограничения",ot,q,te="Здесь вы описываете варианты использования, для которых предназначена модель, включая языки, области и домены, в которых она может применяться. В этом разделе карты модели также можно документировать те области, которые являются неподходящими для модели.",ft,h,ee="Как использовать",xt,S,le="Этот раздел должен включать несколько примеров того, как использовать модель. Это может быть продемонстрировано с использованием функции <code>pipeline()</code>, использованием классов модели и токенизатора, а также любым другим способом, удобным на ваш взгляд.",vt,r,ne="Обучающие данные",Ct,U,ie="В этой части должно быть указано, на каком наборе данных обучалась модель. Также приветствуется краткое описание набора(ов) данных.",mt,c,se="Процедура обучения",ht,A,ae="В этом разделе вы должны описать все важные аспекты обучения, которые полезны с точки зрения воспроизводимости. Раздел включает в себя любую предварительную и постобработку данных, а также такие детали, как количество эпох, на которых была обучена модель, размер батча, скорость обучения и т. д.",rt,x,d,Y,B,Ut,X,pe="Variable and metrics",ct,Q,ue="Здесь вы должны описать метрики, которые вы используете для оценки, и прочие величины, которые вы замеряете. Напишите, какие метрики использовались, в каком датасете и какое разделение разбиение датасета позволяет легко сравнивать производительность вашей модели с другими моделями.",dt,_,oe="Результаты валидации",_t,z,fe="Наконец, укажите, насколько хорошо модель работает с набором данных для оценки. Если в модели используется порог принятия решения (threshold)– укажите его, либо предоставьте подробные сведения об оценке при различных порогах для предполагаемого использования.",bt,b,xe="Пример",Ht,F,ve="Ознакомьтесь с несколькими примерами хорошо сделанных карточек моделей:",Mt,N,Ce='<li><a href="https://huggingface.co/bert-base-cased" rel="nofollow"><code>bert-base-cased</code></a></li> <li><a href="https://huggingface.co/gpt2" rel="nofollow"><code>gpt2</code></a></li> <li><a href="https://huggingface.co/distilbert-base-uncased" rel="nofollow"><code>distilbert</code></a></li>',wt,R,me='Больше примеров от других организаций и компаний доступны: <a href="https://github.com/huggingface/model_card/blob/master/examples.md" rel="nofollow">здесь</a>.',Pt,H,he="Примечание",$t,V,re="Карточки моделей не являются обязательным требованием при публикации моделей, и вам не нужно включать все разделы, описанные выше, при их создании. Однако подробное документирование модели может принести только пользу будущим пользователям, поэтому мы рекомендуем вам заполнить как можно больше разделов в меру своих знаний и способностей.",Lt,M,ce="Метаданные карточки модели",jt,I,de="Если вы немного изучили Hugging Face Hub, вы должны были заметить, что некоторые модели относятся к определенным категориям: вы можете фильтровать их по задачам, языкам, библиотекам и т. д. Категории, к которым принадлежит модель, идентифицируются в соответствии с метаданными, которые вы добавляете в заголовок карточки модели.",Tt,D,_e='Например, если вы посмотрите на <a href="https://huggingface.co/camembert-base/blob/main/README.md" rel="nofollow">карточку модели <code>camembert-base</code></a>, вы должны увидеть следующие строки в заголовке карточки модели:',yt,G,kt,J,be="Эти метаданные анализируются Hugging Face Hub, который затем идентифицирует эту модель как французскую модель с лицензией MIT, обученную на наборе данных Oscar.",Et,O,He='<a href="https://github.com/huggingface/hub-docs/blame/main/modelcard.md" rel="nofollow">Полная спецификация карточки модели</a> позволяет указать языкы, лицензии, теги, датасеты, метрики, а также результаты валидации модели.',qt;return w=new qe({props:{chapter:4,classNames:"absolute z-10 right-0 top-0"}}),B=new ke({}),G=new Ee({props:{code:"LS0tJTBBbGFuZ3VhZ2UlM0ElMjBmciUwQWxpY2Vuc2UlM0ElMjBtaXQlMEFkYXRhc2V0cyUzQSUwQS0lMjBvc2NhciUwQS0tLQ==",highlighted:`<span class="hljs-meta">---</span>
<span class="hljs-attr">language:</span> <span class="hljs-string">fr</span>
<span class="hljs-attr">license:</span> <span class="hljs-string">mit</span>
<span class="hljs-attr">datasets:</span>
<span class="hljs-bullet">-</span> <span class="hljs-string">oscar</span>
<span class="hljs-meta">---</span>`}}),{c(){f=i("meta"),W=a(),v=i("h1"),v.textContent=It,g=a(),At(w.$$.fragment),K=a(),P=i("p"),P.textContent=Dt,tt=a(),$=i("p"),$.textContent=Gt,et=a(),L=i("p"),L.innerHTML=Jt,lt=a(),j=i("p"),j.innerHTML=Ot,nt=a(),T=i("p"),T.textContent=Xt,it=a(),y=i("ul"),y.innerHTML=Yt,st=a(),k=i("p"),k.textContent=Zt,at=a(),C=i("h3"),C.textContent=Wt,pt=a(),E=i("p"),E.textContent=gt,ut=a(),m=i("h3"),m.textContent=Kt,ot=a(),q=i("p"),q.textContent=te,ft=a(),h=i("h3"),h.textContent=ee,xt=a(),S=i("p"),S.innerHTML=le,vt=a(),r=i("h3"),r.textContent=ne,Ct=a(),U=i("p"),U.textContent=ie,mt=a(),c=i("h3"),c.textContent=se,ht=a(),A=i("p"),A.textContent=ae,rt=a(),x=i("h3"),d=i("a"),Y=i("span"),At(B.$$.fragment),Ut=a(),X=i("span"),X.textContent=pe,ct=a(),Q=i("p"),Q.textContent=ue,dt=a(),_=i("h3"),_.textContent=oe,_t=a(),z=i("p"),z.textContent=fe,bt=a(),b=i("h2"),b.textContent=xe,Ht=a(),F=i("p"),F.textContent=ve,Mt=a(),N=i("ul"),N.innerHTML=Ce,wt=a(),R=i("p"),R.innerHTML=me,Pt=a(),H=i("h2"),H.textContent=he,$t=a(),V=i("p"),V.textContent=re,Lt=a(),M=i("h2"),M.textContent=ce,jt=a(),I=i("p"),I.textContent=de,Tt=a(),D=i("p"),D.innerHTML=_e,yt=a(),At(G.$$.fragment),kt=a(),J=i("p"),J.textContent=be,Et=a(),O=i("p"),O.innerHTML=He,this.h()},l(t){const e=ye("svelte-1phssyn",document.head);f=s(e,"META",{name:!0,content:!0}),e.forEach(l),W=p(t),v=s(t,"H1",{id:!0,"data-svelte-h":!0}),u(v)!=="svelte-f0iifp"&&(v.textContent=It),g=p(t),Bt(w.$$.fragment,t),K=p(t),P=s(t,"P",{"data-svelte-h":!0}),u(P)!=="svelte-nz57bt"&&(P.textContent=Dt),tt=p(t),$=s(t,"P",{"data-svelte-h":!0}),u($)!=="svelte-yiujq7"&&($.textContent=Gt),et=p(t),L=s(t,"P",{"data-svelte-h":!0}),u(L)!=="svelte-9edp5i"&&(L.innerHTML=Jt),lt=p(t),j=s(t,"P",{"data-svelte-h":!0}),u(j)!=="svelte-1v2ovlj"&&(j.innerHTML=Ot),nt=p(t),T=s(t,"P",{"data-svelte-h":!0}),u(T)!=="svelte-1jn8b6j"&&(T.textContent=Xt),it=p(t),y=s(t,"UL",{"data-svelte-h":!0}),u(y)!=="svelte-cbsm46"&&(y.innerHTML=Yt),st=p(t),k=s(t,"P",{"data-svelte-h":!0}),u(k)!=="svelte-1qg7u0q"&&(k.textContent=Zt),at=p(t),C=s(t,"H3",{id:!0,"data-svelte-h":!0}),u(C)!=="svelte-rwjy7k"&&(C.textContent=Wt),pt=p(t),E=s(t,"P",{"data-svelte-h":!0}),u(E)!=="svelte-1m9iwmk"&&(E.textContent=gt),ut=p(t),m=s(t,"H3",{id:!0,"data-svelte-h":!0}),u(m)!=="svelte-1m1pavp"&&(m.textContent=Kt),ot=p(t),q=s(t,"P",{"data-svelte-h":!0}),u(q)!=="svelte-1rlniif"&&(q.textContent=te),ft=p(t),h=s(t,"H3",{id:!0,"data-svelte-h":!0}),u(h)!=="svelte-9rp8qc"&&(h.textContent=ee),xt=p(t),S=s(t,"P",{"data-svelte-h":!0}),u(S)!=="svelte-f6wt3b"&&(S.innerHTML=le),vt=p(t),r=s(t,"H3",{id:!0,"data-svelte-h":!0}),u(r)!=="svelte-msxa0f"&&(r.textContent=ne),Ct=p(t),U=s(t,"P",{"data-svelte-h":!0}),u(U)!=="svelte-1hyu640"&&(U.textContent=ie),mt=p(t),c=s(t,"H3",{id:!0,"data-svelte-h":!0}),u(c)!=="svelte-a9wppt"&&(c.textContent=se),ht=p(t),A=s(t,"P",{"data-svelte-h":!0}),u(A)!=="svelte-4cngfy"&&(A.textContent=ae),rt=p(t),x=s(t,"H3",{class:!0});var St=Qt(x);d=s(St,"A",{id:!0,class:!0,href:!0});var Me=Qt(d);Y=s(Me,"SPAN",{});var we=Qt(Y);Bt(B.$$.fragment,we),we.forEach(l),Me.forEach(l),Ut=p(St),X=s(St,"SPAN",{"data-svelte-h":!0}),u(X)!=="svelte-1xqlg99"&&(X.textContent=pe),St.forEach(l),ct=p(t),Q=s(t,"P",{"data-svelte-h":!0}),u(Q)!=="svelte-ivu2lq"&&(Q.textContent=ue),dt=p(t),_=s(t,"H3",{id:!0,"data-svelte-h":!0}),u(_)!=="svelte-1ufzgl2"&&(_.textContent=oe),_t=p(t),z=s(t,"P",{"data-svelte-h":!0}),u(z)!=="svelte-6nevjp"&&(z.textContent=fe),bt=p(t),b=s(t,"H2",{id:!0,"data-svelte-h":!0}),u(b)!=="svelte-ghtkvc"&&(b.textContent=xe),Ht=p(t),F=s(t,"P",{"data-svelte-h":!0}),u(F)!=="svelte-11iaolh"&&(F.textContent=ve),Mt=p(t),N=s(t,"UL",{"data-svelte-h":!0}),u(N)!=="svelte-1fs0egh"&&(N.innerHTML=Ce),wt=p(t),R=s(t,"P",{"data-svelte-h":!0}),u(R)!=="svelte-1hthqu9"&&(R.innerHTML=me),Pt=p(t),H=s(t,"H2",{id:!0,"data-svelte-h":!0}),u(H)!=="svelte-1xby1l9"&&(H.textContent=he),$t=p(t),V=s(t,"P",{"data-svelte-h":!0}),u(V)!=="svelte-6vnsq0"&&(V.textContent=re),Lt=p(t),M=s(t,"H2",{id:!0,"data-svelte-h":!0}),u(M)!=="svelte-edgdxk"&&(M.textContent=ce),jt=p(t),I=s(t,"P",{"data-svelte-h":!0}),u(I)!=="svelte-nlrxie"&&(I.textContent=de),Tt=p(t),D=s(t,"P",{"data-svelte-h":!0}),u(D)!=="svelte-12y29x9"&&(D.innerHTML=_e),yt=p(t),Bt(G.$$.fragment,t),kt=p(t),J=s(t,"P",{"data-svelte-h":!0}),u(J)!=="svelte-1nuu1yk"&&(J.textContent=be),Et=p(t),O=s(t,"P",{"data-svelte-h":!0}),u(O)!=="svelte-x5z9ld"&&(O.innerHTML=He),this.h()},h(){o(f,"name","hf:doc:metadata"),o(f,"content",JSON.stringify(Ue)),o(v,"id",""),o(C,"id",""),o(m,"id",""),o(h,"id",""),o(r,"id",""),o(c,"id",""),o(d,"id","variable-and-metrics"),o(d,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),o(d,"href","#variable-and-metrics"),o(x,"class","relative group"),o(_,"id",""),o(b,"id",""),o(H,"id",""),o(M,"id","")},m(t,e){Z(document.head,f),n(t,W,e),n(t,v,e),n(t,g,e),zt(w,t,e),n(t,K,e),n(t,P,e),n(t,tt,e),n(t,$,e),n(t,et,e),n(t,L,e),n(t,lt,e),n(t,j,e),n(t,nt,e),n(t,T,e),n(t,it,e),n(t,y,e),n(t,st,e),n(t,k,e),n(t,at,e),n(t,C,e),n(t,pt,e),n(t,E,e),n(t,ut,e),n(t,m,e),n(t,ot,e),n(t,q,e),n(t,ft,e),n(t,h,e),n(t,xt,e),n(t,S,e),n(t,vt,e),n(t,r,e),n(t,Ct,e),n(t,U,e),n(t,mt,e),n(t,c,e),n(t,ht,e),n(t,A,e),n(t,rt,e),n(t,x,e),Z(x,d),Z(d,Y),zt(B,Y,null),Z(x,Ut),Z(x,X),n(t,ct,e),n(t,Q,e),n(t,dt,e),n(t,_,e),n(t,_t,e),n(t,z,e),n(t,bt,e),n(t,b,e),n(t,Ht,e),n(t,F,e),n(t,Mt,e),n(t,N,e),n(t,wt,e),n(t,R,e),n(t,Pt,e),n(t,H,e),n(t,$t,e),n(t,V,e),n(t,Lt,e),n(t,M,e),n(t,jt,e),n(t,I,e),n(t,Tt,e),n(t,D,e),n(t,yt,e),zt(G,t,e),n(t,kt,e),n(t,J,e),n(t,Et,e),n(t,O,e),qt=!0},p:$e,i(t){qt||(Ft(w.$$.fragment,t),Ft(B.$$.fragment,t),Ft(G.$$.fragment,t),qt=!0)},o(t){Nt(w.$$.fragment,t),Nt(B.$$.fragment,t),Nt(G.$$.fragment,t),qt=!1},d(t){t&&(l(W),l(v),l(g),l(K),l(P),l(tt),l($),l(et),l(L),l(lt),l(j),l(nt),l(T),l(it),l(y),l(st),l(k),l(at),l(C),l(pt),l(E),l(ut),l(m),l(ot),l(q),l(ft),l(h),l(xt),l(S),l(vt),l(r),l(Ct),l(U),l(mt),l(c),l(ht),l(A),l(rt),l(x),l(ct),l(Q),l(dt),l(_),l(_t),l(z),l(bt),l(b),l(Ht),l(F),l(Mt),l(N),l(wt),l(R),l(Pt),l(H),l($t),l(V),l(Lt),l(M),l(jt),l(I),l(Tt),l(D),l(yt),l(kt),l(J),l(Et),l(O)),l(f),Rt(w,t),Rt(B),Rt(G,t)}}}const Ue={local:"",sections:[{local:null,sections:[{local:"",title:"Описание модели"},{local:"",title:"Предполагаемое использование и ограничения"},{local:"",title:"Как использовать"},{local:"",title:"Обучающие данные"},{local:"",title:"Процедура обучения"},{local:"variable-and-metrics",title:"Variable and metrics"},{local:"",title:"Результаты валидации"}],title:null},{local:"",title:"Пример"},{local:"",title:"Примечание"},{local:"",title:"Метаданные карточки модели"}],title:"Создание карточки модели"};function Ae(Vt){return Le(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Re extends je{constructor(f){super(),Te(this,f,Ae,Se,Pe,{})}}export{Re as component};
