import{s as xa,n as ga,o as wa}from"../chunks/scheduler.37c15a92.js";import{S as _a,i as ya,g as r,s as i,p as f,A as Ca,h as s,f as t,c as h,j as p,q as c,m as v,k as n,v as l,a as o,r as u,d,t as $,u as m}from"../chunks/index.34c13df1.js";import{I as x}from"../chunks/IconCopyLink.b3dd524c.js";import{C as va}from"../chunks/CodeBlock.47a84cd0.js";import{C as ba}from"../chunks/CourseFloatingBanner.366b7a0e.js";import{Q as g}from"../chunks/Question.9eb0dff3.js";function ka(Tt){let w,je,_,H,Ae,Z,Ct,me,qt="Тест по главе 5",Ge,F,Ie,z,Ut="Эта глава охватила много вопросов! Не волнуйтесь, если вы не поняли всех деталей; следующие главы помогут вам понять, как все работает внутри.",De,B,Rt="Однако, прежде чем двигаться дальше, давайте проверим то, что вы узнали в этой главе.",Le,y,J,Ne,Y,bt,ve,jt="Из каких источников функция <code>load_dataset()</code> в 🤗 Datasets позволяет загружать наборы данных?",Ze,X,Fe,C,T,Pe,W,kt,xe,Gt="2. Предположим, вы загружаете одну из задач GLUE следующим образом:",ze,Q,Be,V,It="Какая из следующих команд создаст случайную выборку из 50 элементов из <code>dataset</code>?",Ye,K,Xe,b,q,Se,O,Et,ge,Dt="3. Предположим, у вас есть набор данных о домашних питомцах под названием <code>pets_dataset</code>, в котором есть столбец <code>name</code>, обозначающий имя каждого питомца. Какой из следующих подходов позволит вам отфильтровать набор данных для всех домашних животных, имена которых начинаются с буквы «L»?",We,ee,Qe,k,U,Me,te,At,we,Lt="4. Что такое отображение в память?",Ve,ae,Ke,E,R,He,re,Nt,_e,Zt="5. Что из перечисленного ниже является основным преимуществом отображения памяти?",Oe,se,et,A,j,Je,ne,Pt,ye,Ft="6. Почему следующий код не работает?",tt,le,at,oe,rt,N,G,Te,ie,St,Ce,zt="7. Что из перечисленного является основными преимуществами создания карточки датасета?",st,he,nt,P,I,qe,pe,Mt,be,Bt="8. Что такое семантический поиск?",lt,fe,ot,S,D,Ue,ce,Ht,ke,Yt="9. Для асимметричного семантического поиска можно использовать:",it,ue,ht,M,L,Re,de,Jt,Ee,Xt="10. Могу ли я использовать 🤗 Datasets для загрузки данных и решения задач в других областях, например для обработки речи?",pt,$e,ft;return Z=new x({}),F=new ba({props:{chapter:5,classNames:"absolute z-10 right-0 top-0"}}),Y=new x({}),X=new g({props:{choices:[{text:"Локальных, то есть с моего компьютера",explain:"Правильно! Вы можете передать пути к локальным файлам в аргумент <code>data_files</code> функции <code>load_dataset()</code> для загрузки локальных наборов данных.",correct:!0},{text:"Hugging Face Hub",explain:"Правильно! Вы можете загружать наборы данных в Hub, указав идентификатор набора данных, например. <code>load_dataset('emotion')</code>.",correct:!0},{text:"Удаленный сервер",explain:"Правильно! Вы можете передать URLs в аргумент <code>data_files</code> фунции  <code>load_dataset()</code>. ",correct:!0}]}}),W=new x({}),Q=new va({props:{code:"ZnJvbSUyMGRhdGFzZXRzJTIwaW1wb3J0JTIwbG9hZF9kYXRhc2V0JTBBJTBBZGF0YXNldCUyMCUzRCUyMGxvYWRfZGF0YXNldCglMjJnbHVlJTIyJTJDJTIwJTIybXJwYyUyMiUyQyUyMHNwbGl0JTNEJTIydHJhaW4lMjIp",highlighted:`<span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

dataset = load_dataset(<span class="hljs-string">&quot;glue&quot;</span>, <span class="hljs-string">&quot;mrpc&quot;</span>, split=<span class="hljs-string">&quot;train&quot;</span>)`}}),K=new g({props:{choices:[{text:"<code>dataset.sample(50)</code>",explain:"Это неверно — нет метода <code>Dataset.sample()</code>."},{text:"<code>dataset.shuffle().select(range(50))</code>",explain:"Правильный! Как вы видели в этой главе, вы сначала перемешиваете набор данных, а затем выбираете из него подмножества.",correct:!0},{text:"<code>dataset.select(range(50)).shuffle()</code>",explain:"Это неверно — хотя код запустится, он перемешает только первые 50 элементов в наборе данных."}]}}),O=new x({}),ee=new g({props:{choices:[{text:"<code>pets_dataset.filter(lambda x : x['name'].startswith('L'))</code>",explain:"Правильно! Использование лямбда-функции Python для этих быстрых фильтров — отличная идея. Можете ли вы придумать другое решение?",correct:!0},{text:"<code>pets_dataset.filter(lambda x['name'].startswith('L'))</code>",explain:"Это неверно — лямбда-функция принимает общую форму <code>lambda *arguments* : *expression*</code>, поэтому в этом случае вам необходимо предоставить аргументы."},{text:"Create a function like <code>def filter_names(x): return x['name'].startswith('L')</code> and run <code>pets_dataset.filter(filter_names)</code>.",explain:"Правильно! Как и в случае с <code>Dataset.map()</code>, вы можете передавать явные функции в <code>Dataset.filter()</code>. Это полезно, когда у вас есть сложная логика, которая не подходит для короткой лямбда-функции. Какое из других решений будет работать?",correct:!0}]}}),te=new x({}),ae=new g({props:{choices:[{text:"Сопоставление между ЦП (CPU) и ОЗУ (RAM) графического процессора",explain:"Нет, попробуй еще раз!"},{text:"Отображение между RAM и файловой системой компьютера",explain:"Правильно! 🤗 Datasets рассматриваtт каждый набор данных как файл с отображением в памяти. Это позволяет библиотеке получать доступ к элементам набора данных и работать с ними без необходимости полной загрузки его в память.",correct:!0},{text:"Сопоставление между двумя файлами в кэшэ 🤗 Datasets",explain:"Нет, попробуй еще раз!"}]}}),re=new x({}),se=new g({props:{choices:[{text:"Доступ к файлам, отображенным в памяти, быстрее, чем чтение или запись на диск.",explain:"Правильно! Это позволяет 🤗 Datasets работать быстро. Однако это не единственное преимущество.",correct:!0},{text:"Приложения могут получать доступ к сегментам данных в очень большом файле без необходимости сначала считывать весь файл в ОЗУ.",explain:"Правильно! Это позволяет 🤗 Datasets загружать многогигабайтные наборы данных на ваш ноутбук, не нагружая ваш процессор. Какие еще преимущества предлагает сопоставление памяти?",correct:!0},{text:"Он потребляет меньше энергии, поэтому батарея работает дольше.",explain:"Это неправильно - попробуй еще раз!"}]}}),ne=new x({}),le=new va({props:{code:"ZnJvbSUyMGRhdGFzZXRzJTIwaW1wb3J0JTIwbG9hZF9kYXRhc2V0JTBBJTBBZGF0YXNldCUyMCUzRCUyMGxvYWRfZGF0YXNldCglMjJhbGxvY2luZSUyMiUyQyUyMHN0cmVhbWluZyUzRFRydWUlMkMlMjBzcGxpdCUzRCUyMnRyYWluJTIyKSUwQWRhdGFzZXQlNUIwJTVE",highlighted:`<span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

dataset = load_dataset(<span class="hljs-string">&quot;allocine&quot;</span>, streaming=<span class="hljs-literal">True</span>, split=<span class="hljs-string">&quot;train&quot;</span>)
dataset[<span class="hljs-number">0</span>]`}}),oe=new g({props:{choices:[{text:"Он пытается передать набор данных, который слишком велик для размещения в ОЗУ.",explain:"Это неверно — потоковые наборы данных распаковываются на лету, и вы можете обрабатывать наборы данных размером в терабайт с очень небольшим объемом оперативной памяти!"},{text:"Он пытается получить доступ к <code>IterableDataset</code>.",explain:"Правильно! <code>IterableDataset</code> — это генератор, а не контейнер, поэтому вы должны получить доступ к его элементам, используя <code>next(iter(dataset))</code>.",correct:!0},{text:"Набор данных <code>allocine</code> не имеет разделения <code>train</code>.",explain:"Это неверно — проверьте [<code>allocine</code> карточку набора данных](https://huggingface.co/datasets/allocine) в Hub, чтобы увидеть, какие разбиения он содержит."}]}}),ie=new x({}),he=new g({props:{choices:[{text:"Она предоставляет информацию о предполагаемом использовании и поддерживаемых задачах набора данных, чтобы другие участники сообщества могли принять обоснованное решение об его использовании.",explain:"Правильно! Недокументированные наборы данных могут использоваться для обучения моделей, которые могут не отражать намерения создателей наборов данных, или могут создавать модели с неясным юридическим статусом, если они обучены на данных, нарушающих конфиденциальность или лицензионные ограничения. Но это не единственный плюс!",correct:!0},{text:"Это помогает привлечь внимание к искажениям, присутствующим в корпусе.",explain:"Правильно! Почти все наборы данных имеют некоторую форму предвзятости, которая может привести к негативным последствиям в дальнейшем. Знание о них помогает разработчикам моделей понять, как устранять подобные искажения. В чем еще помогают карточки наборов данных?»",correct:!0},{text:"Это повышает шансы на то, что другие участники сообщества будут использовать мой набор данных.",explain:"Правильно! Хорошо написанная карточка набора данных, как правило, приведет к более активному использованию вашего драгоценного датасета. Какие еще могут быть преимущества?",correct:!0}]}}),pe=new x({}),fe=new g({props:{choices:[{text:"Способ поиска точных совпадений между словами в запросе и документами в корпусе",explain:"Это неверно — этот тип поиска называется *лексическим поиском*, и это то, что вы обычно видите в традиционных поисковых системах"},{text:"Способ поиска совпадающих документов путем понимания контекстного значения запроса",explain:"Правильно! Семантический поиск использует вложенные векторы для представления запросов и документов и использует метрику подобия для измерения степени совпадения между ними. Как еще вы могли бы это описать?",correct:!0},{text:"Способ повысить точность поиска",explain:"Правильно! Семантические поисковые системы могут улавливать цель запроса намного лучше, чем сопоставление ключевых слов, и обычно извлекают документы с более высокой точностью. Но это не единственный правильный ответ - что еще дает семантический поиск?",correct:!0}]}}),ce=new x({}),ue=new g({props:{choices:[{text:"Короткий запрос и более длинный абзац, отвечающий на запрос. ",explain:"Правильно!",correct:!0},{text:"Запросы и абзацы примерно одинаковой длины. ",explain:"Это пример симметричного семантического поиска – попробуй еще раз!"},{text:"Длинный запрос и более короткий абзац, который отвечает на запрос.",explain:"Неправильно, попробуй еще раз!"}]}}),de=new x({}),$e=new g({props:{choices:[{text:"Нет",explain:"Это неверно — 🤗 Datasets в настоящее время поддерживают табличные данные, аудио и компьютерное зрение. Ознакомьтесь с <a href='https://huggingface.co/datasets/mnist'>набором данных MNIST</a> в Hub для примера компьютерного зрения."},{text:"Да",explain:"Правильно! Ознакомьтесь с захватывающими разработками в области речи и зрения в библиотеке 🤗 Transformers, чтобы узнать, как 🤗 Datasets используются в этих областях.",correct:!0}]}}),{c(){w=r("meta"),je=i(),_=r("h1"),H=r("a"),Ae=r("span"),f(Z.$$.fragment),Ct=i(),me=r("span"),me.textContent=qt,Ge=i(),f(F.$$.fragment),Ie=i(),z=r("p"),z.textContent=Ut,De=i(),B=r("p"),B.textContent=Rt,Le=i(),y=r("h3"),J=r("a"),Ne=r("span"),f(Y.$$.fragment),bt=i(),ve=r("span"),ve.innerHTML=jt,Ze=i(),f(X.$$.fragment),Fe=i(),C=r("h3"),T=r("a"),Pe=r("span"),f(W.$$.fragment),kt=i(),xe=r("span"),xe.textContent=Gt,ze=i(),f(Q.$$.fragment),Be=i(),V=r("p"),V.innerHTML=It,Ye=i(),f(K.$$.fragment),Xe=i(),b=r("h3"),q=r("a"),Se=r("span"),f(O.$$.fragment),Et=i(),ge=r("span"),ge.innerHTML=Dt,We=i(),f(ee.$$.fragment),Qe=i(),k=r("h3"),U=r("a"),Me=r("span"),f(te.$$.fragment),At=i(),we=r("span"),we.textContent=Lt,Ve=i(),f(ae.$$.fragment),Ke=i(),E=r("h3"),R=r("a"),He=r("span"),f(re.$$.fragment),Nt=i(),_e=r("span"),_e.textContent=Zt,Oe=i(),f(se.$$.fragment),et=i(),A=r("h3"),j=r("a"),Je=r("span"),f(ne.$$.fragment),Pt=i(),ye=r("span"),ye.textContent=Ft,tt=i(),f(le.$$.fragment),at=i(),f(oe.$$.fragment),rt=i(),N=r("h3"),G=r("a"),Te=r("span"),f(ie.$$.fragment),St=i(),Ce=r("span"),Ce.textContent=zt,st=i(),f(he.$$.fragment),nt=i(),P=r("h3"),I=r("a"),qe=r("span"),f(pe.$$.fragment),Mt=i(),be=r("span"),be.textContent=Bt,lt=i(),f(fe.$$.fragment),ot=i(),S=r("h3"),D=r("a"),Ue=r("span"),f(ce.$$.fragment),Ht=i(),ke=r("span"),ke.textContent=Yt,it=i(),f(ue.$$.fragment),ht=i(),M=r("h3"),L=r("a"),Re=r("span"),f(de.$$.fragment),Jt=i(),Ee=r("span"),Ee.textContent=Xt,pt=i(),f($e.$$.fragment),this.h()},l(e){const a=Ca("svelte-1phssyn",document.head);w=s(a,"META",{name:!0,content:!0}),a.forEach(t),je=h(e),_=s(e,"H1",{class:!0});var ct=p(_);H=s(ct,"A",{id:!0,class:!0,href:!0});var Wt=p(H);Ae=s(Wt,"SPAN",{});var Qt=p(Ae);c(Z.$$.fragment,Qt),Qt.forEach(t),Wt.forEach(t),Ct=h(ct),me=s(ct,"SPAN",{"data-svelte-h":!0}),v(me)!=="svelte-xoyw10"&&(me.textContent=qt),ct.forEach(t),Ge=h(e),c(F.$$.fragment,e),Ie=h(e),z=s(e,"P",{"data-svelte-h":!0}),v(z)!=="svelte-lsc2qv"&&(z.textContent=Ut),De=h(e),B=s(e,"P",{"data-svelte-h":!0}),v(B)!=="svelte-onqm80"&&(B.textContent=Rt),Le=h(e),y=s(e,"H3",{class:!0});var ut=p(y);J=s(ut,"A",{id:!0,class:!0,href:!0});var Vt=p(J);Ne=s(Vt,"SPAN",{});var Kt=p(Ne);c(Y.$$.fragment,Kt),Kt.forEach(t),Vt.forEach(t),bt=h(ut),ve=s(ut,"SPAN",{"data-svelte-h":!0}),v(ve)!=="svelte-1adkrv2"&&(ve.innerHTML=jt),ut.forEach(t),Ze=h(e),c(X.$$.fragment,e),Fe=h(e),C=s(e,"H3",{class:!0});var dt=p(C);T=s(dt,"A",{id:!0,class:!0,href:!0});var Ot=p(T);Pe=s(Ot,"SPAN",{});var ea=p(Pe);c(W.$$.fragment,ea),ea.forEach(t),Ot.forEach(t),kt=h(dt),xe=s(dt,"SPAN",{"data-svelte-h":!0}),v(xe)!=="svelte-1iddo1y"&&(xe.textContent=Gt),dt.forEach(t),ze=h(e),c(Q.$$.fragment,e),Be=h(e),V=s(e,"P",{"data-svelte-h":!0}),v(V)!=="svelte-1jn4atw"&&(V.innerHTML=It),Ye=h(e),c(K.$$.fragment,e),Xe=h(e),b=s(e,"H3",{class:!0});var $t=p(b);q=s($t,"A",{id:!0,class:!0,href:!0});var ta=p(q);Se=s(ta,"SPAN",{});var aa=p(Se);c(O.$$.fragment,aa),aa.forEach(t),ta.forEach(t),Et=h($t),ge=s($t,"SPAN",{"data-svelte-h":!0}),v(ge)!=="svelte-cxw4ms"&&(ge.innerHTML=Dt),$t.forEach(t),We=h(e),c(ee.$$.fragment,e),Qe=h(e),k=s(e,"H3",{class:!0});var mt=p(k);U=s(mt,"A",{id:!0,class:!0,href:!0});var ra=p(U);Me=s(ra,"SPAN",{});var sa=p(Me);c(te.$$.fragment,sa),sa.forEach(t),ra.forEach(t),At=h(mt),we=s(mt,"SPAN",{"data-svelte-h":!0}),v(we)!=="svelte-qt2mcu"&&(we.textContent=Lt),mt.forEach(t),Ve=h(e),c(ae.$$.fragment,e),Ke=h(e),E=s(e,"H3",{class:!0});var vt=p(E);R=s(vt,"A",{id:!0,class:!0,href:!0});var na=p(R);He=s(na,"SPAN",{});var la=p(He);c(re.$$.fragment,la),la.forEach(t),na.forEach(t),Nt=h(vt),_e=s(vt,"SPAN",{"data-svelte-h":!0}),v(_e)!=="svelte-1yp6twd"&&(_e.textContent=Zt),vt.forEach(t),Oe=h(e),c(se.$$.fragment,e),et=h(e),A=s(e,"H3",{class:!0});var xt=p(A);j=s(xt,"A",{id:!0,class:!0,href:!0});var oa=p(j);Je=s(oa,"SPAN",{});var ia=p(Je);c(ne.$$.fragment,ia),ia.forEach(t),oa.forEach(t),Pt=h(xt),ye=s(xt,"SPAN",{"data-svelte-h":!0}),v(ye)!=="svelte-hfaaoa"&&(ye.textContent=Ft),xt.forEach(t),tt=h(e),c(le.$$.fragment,e),at=h(e),c(oe.$$.fragment,e),rt=h(e),N=s(e,"H3",{class:!0});var gt=p(N);G=s(gt,"A",{id:!0,class:!0,href:!0});var ha=p(G);Te=s(ha,"SPAN",{});var pa=p(Te);c(ie.$$.fragment,pa),pa.forEach(t),ha.forEach(t),St=h(gt),Ce=s(gt,"SPAN",{"data-svelte-h":!0}),v(Ce)!=="svelte-1x7jr84"&&(Ce.textContent=zt),gt.forEach(t),st=h(e),c(he.$$.fragment,e),nt=h(e),P=s(e,"H3",{class:!0});var wt=p(P);I=s(wt,"A",{id:!0,class:!0,href:!0});var fa=p(I);qe=s(fa,"SPAN",{});var ca=p(qe);c(pe.$$.fragment,ca),ca.forEach(t),fa.forEach(t),Mt=h(wt),be=s(wt,"SPAN",{"data-svelte-h":!0}),v(be)!=="svelte-1b18s4l"&&(be.textContent=Bt),wt.forEach(t),lt=h(e),c(fe.$$.fragment,e),ot=h(e),S=s(e,"H3",{class:!0});var _t=p(S);D=s(_t,"A",{id:!0,class:!0,href:!0});var ua=p(D);Ue=s(ua,"SPAN",{});var da=p(Ue);c(ce.$$.fragment,da),da.forEach(t),ua.forEach(t),Ht=h(_t),ke=s(_t,"SPAN",{"data-svelte-h":!0}),v(ke)!=="svelte-1n8y911"&&(ke.textContent=Yt),_t.forEach(t),it=h(e),c(ue.$$.fragment,e),ht=h(e),M=s(e,"H3",{class:!0});var yt=p(M);L=s(yt,"A",{id:!0,class:!0,href:!0});var $a=p(L);Re=s($a,"SPAN",{});var ma=p(Re);c(de.$$.fragment,ma),ma.forEach(t),$a.forEach(t),Jt=h(yt),Ee=s(yt,"SPAN",{"data-svelte-h":!0}),v(Ee)!=="svelte-8me11m"&&(Ee.textContent=Xt),yt.forEach(t),pt=h(e),c($e.$$.fragment,e),this.h()},h(){n(w,"name","hf:doc:metadata"),n(w,"content",JSON.stringify(Ea)),n(H,"id","5"),n(H,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(H,"href","#5"),n(_,"class","relative group"),n(J,"id","из-каких-источников-функция-<code>load_dataset()</code>-в-🤗-datasets-позволяет-загружать-наборы-данных?"),n(J,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(J,"href","#из-каких-источников-функция-<code>load_dataset()</code>-в-🤗-datasets-позволяет-загружать-наборы-данных?"),n(y,"class","relative group"),n(T,"id","2.-предположим,-вы-загружаете-одну-из-задач-glue-следующим-образом:"),n(T,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(T,"href","#2.-предположим,-вы-загружаете-одну-из-задач-glue-следующим-образом:"),n(C,"class","relative group"),n(q,"id","3.-предположим,-у-вас-есть-набор-данных-о-домашних-питомцах-под-названием-<code>pets_dataset</code>,-в-котором-есть-столбец-<code>name</code>,-обозначающий-имя-каждого-питомца.-какой-из-следующих-подходов-позволит-вам-отфильтровать-набор-данных-для-всех-домашних-животных,-имена-которых-начинаются-с-буквы-«l»?"),n(q,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(q,"href","#3.-предположим,-у-вас-есть-набор-данных-о-домашних-питомцах-под-названием-<code>pets_dataset</code>,-в-котором-есть-столбец-<code>name</code>,-обозначающий-имя-каждого-питомца.-какой-из-следующих-подходов-позволит-вам-отфильтровать-набор-данных-для-всех-домашних-животных,-имена-которых-начинаются-с-буквы-«l»?"),n(b,"class","relative group"),n(U,"id","4.-что-такое-отображение-в-память?"),n(U,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(U,"href","#4.-что-такое-отображение-в-память?"),n(k,"class","relative group"),n(R,"id","5.-что-из-перечисленного-ниже-является-основным-преимуществом-отображения-памяти?"),n(R,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(R,"href","#5.-что-из-перечисленного-ниже-является-основным-преимуществом-отображения-памяти?"),n(E,"class","relative group"),n(j,"id","6.-почему-следующий-код-не-работает?"),n(j,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(j,"href","#6.-почему-следующий-код-не-работает?"),n(A,"class","relative group"),n(G,"id","7.-что-из-перечисленного-является-основными-преимуществами-создания-карточки-датасета?"),n(G,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(G,"href","#7.-что-из-перечисленного-является-основными-преимуществами-создания-карточки-датасета?"),n(N,"class","relative group"),n(I,"id","8.-что-такое-семантический-поиск?"),n(I,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(I,"href","#8.-что-такое-семантический-поиск?"),n(P,"class","relative group"),n(D,"id","9.-для-асимметричного-семантического-поиска-можно-использовать:"),n(D,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(D,"href","#9.-для-асимметричного-семантического-поиска-можно-использовать:"),n(S,"class","relative group"),n(L,"id","10.-могу-ли-я-использовать-🤗-datasets-для-загрузки-данных-и-решения-задач-в-других-областях,-например-для-обработки-речи?"),n(L,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(L,"href","#10.-могу-ли-я-использовать-🤗-datasets-для-загрузки-данных-и-решения-задач-в-других-областях,-например-для-обработки-речи?"),n(M,"class","relative group")},m(e,a){l(document.head,w),o(e,je,a),o(e,_,a),l(_,H),l(H,Ae),u(Z,Ae,null),l(_,Ct),l(_,me),o(e,Ge,a),u(F,e,a),o(e,Ie,a),o(e,z,a),o(e,De,a),o(e,B,a),o(e,Le,a),o(e,y,a),l(y,J),l(J,Ne),u(Y,Ne,null),l(y,bt),l(y,ve),o(e,Ze,a),u(X,e,a),o(e,Fe,a),o(e,C,a),l(C,T),l(T,Pe),u(W,Pe,null),l(C,kt),l(C,xe),o(e,ze,a),u(Q,e,a),o(e,Be,a),o(e,V,a),o(e,Ye,a),u(K,e,a),o(e,Xe,a),o(e,b,a),l(b,q),l(q,Se),u(O,Se,null),l(b,Et),l(b,ge),o(e,We,a),u(ee,e,a),o(e,Qe,a),o(e,k,a),l(k,U),l(U,Me),u(te,Me,null),l(k,At),l(k,we),o(e,Ve,a),u(ae,e,a),o(e,Ke,a),o(e,E,a),l(E,R),l(R,He),u(re,He,null),l(E,Nt),l(E,_e),o(e,Oe,a),u(se,e,a),o(e,et,a),o(e,A,a),l(A,j),l(j,Je),u(ne,Je,null),l(A,Pt),l(A,ye),o(e,tt,a),u(le,e,a),o(e,at,a),u(oe,e,a),o(e,rt,a),o(e,N,a),l(N,G),l(G,Te),u(ie,Te,null),l(N,St),l(N,Ce),o(e,st,a),u(he,e,a),o(e,nt,a),o(e,P,a),l(P,I),l(I,qe),u(pe,qe,null),l(P,Mt),l(P,be),o(e,lt,a),u(fe,e,a),o(e,ot,a),o(e,S,a),l(S,D),l(D,Ue),u(ce,Ue,null),l(S,Ht),l(S,ke),o(e,it,a),u(ue,e,a),o(e,ht,a),o(e,M,a),l(M,L),l(L,Re),u(de,Re,null),l(M,Jt),l(M,Ee),o(e,pt,a),u($e,e,a),ft=!0},p:ga,i(e){ft||(d(Z.$$.fragment,e),d(F.$$.fragment,e),d(Y.$$.fragment,e),d(X.$$.fragment,e),d(W.$$.fragment,e),d(Q.$$.fragment,e),d(K.$$.fragment,e),d(O.$$.fragment,e),d(ee.$$.fragment,e),d(te.$$.fragment,e),d(ae.$$.fragment,e),d(re.$$.fragment,e),d(se.$$.fragment,e),d(ne.$$.fragment,e),d(le.$$.fragment,e),d(oe.$$.fragment,e),d(ie.$$.fragment,e),d(he.$$.fragment,e),d(pe.$$.fragment,e),d(fe.$$.fragment,e),d(ce.$$.fragment,e),d(ue.$$.fragment,e),d(de.$$.fragment,e),d($e.$$.fragment,e),ft=!0)},o(e){$(Z.$$.fragment,e),$(F.$$.fragment,e),$(Y.$$.fragment,e),$(X.$$.fragment,e),$(W.$$.fragment,e),$(Q.$$.fragment,e),$(K.$$.fragment,e),$(O.$$.fragment,e),$(ee.$$.fragment,e),$(te.$$.fragment,e),$(ae.$$.fragment,e),$(re.$$.fragment,e),$(se.$$.fragment,e),$(ne.$$.fragment,e),$(le.$$.fragment,e),$(oe.$$.fragment,e),$(ie.$$.fragment,e),$(he.$$.fragment,e),$(pe.$$.fragment,e),$(fe.$$.fragment,e),$(ce.$$.fragment,e),$(ue.$$.fragment,e),$(de.$$.fragment,e),$($e.$$.fragment,e),ft=!1},d(e){e&&(t(je),t(_),t(Ge),t(Ie),t(z),t(De),t(B),t(Le),t(y),t(Ze),t(Fe),t(C),t(ze),t(Be),t(V),t(Ye),t(Xe),t(b),t(We),t(Qe),t(k),t(Ve),t(Ke),t(E),t(Oe),t(et),t(A),t(tt),t(at),t(rt),t(N),t(st),t(nt),t(P),t(lt),t(ot),t(S),t(it),t(ht),t(M),t(pt)),t(w),m(Z),m(F,e),m(Y),m(X,e),m(W),m(Q,e),m(K,e),m(O),m(ee,e),m(te),m(ae,e),m(re),m(se,e),m(ne),m(le,e),m(oe,e),m(ie),m(he,e),m(pe),m(fe,e),m(ce),m(ue,e),m(de),m($e,e)}}}const Ea={local:"5",title:"Тест по главе 5"};function Aa(Tt){return wa(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ta extends _a{constructor(w){super(),ya(this,w,Aa,ka,xa,{})}}export{Ta as component};
