import{s as Be,n as Ee,o as Re}from"../chunks/scheduler.37c15a92.js";import{S as Xe,i as Ve,g as o,s,p as m,A as Ae,h as a,f as l,c as i,m as p,j as ht,q as h,k as r,v as C,a as n,r as f,d as v,t as u,u as c}from"../chunks/index.34c13df1.js";import{I as ze}from"../chunks/IconCopyLink.b3dd524c.js";import{C as $}from"../chunks/CodeBlock.47a84cd0.js";function Ye(ie){let y,ut,w,oe="課程簡介",ct,P,ae='歡迎來到 Hugging Face 的教學！本篇介紹將會帶著你設置運行環境。如果你正開始學的話，不妨先看看<a href="/course/chapter1">第一章</a>再回來，這樣就能直接開始試著執行裡面的程式碼了。',$t,k,pe="我們會用到的所有函式庫都將會以 Python 資源包的方式被取得，所以這邊我們會教你如何設置 Python 環境並安裝你所需要的函式庫。",yt,j,re="本篇將會涵蓋兩種設置環境的方法 - 使用 Colab notebook 或是 Python 虛擬環境。選你自己覺得合適的方式就好，但是對於初學者我們強烈推薦先從使用 Colab notebook 開始。",bt,H,me="我們不會提到 Windows 系統，如果你是 Windows 的使用者，我們建議使用 Colab notebook。如果你用的是 Linux 或是 macOS，你可以任意選擇上述的兩種方法。",dt,L,he='大部分的教學都會需要一個Hugging Face的帳號。我們建議現在就<a href="https://huggingface.co/join" rel="nofollow">創一個</a>。',Ct,b,x,ft,J,ne,rt,fe="使用Google Colab notebook",wt,U,ve="用 Colab notebook 是最簡單容易的方法；在瀏覽器開一頁 Colab notebook 就能直接開始寫程式了！",xt,G,ue='如果你對 Colab notebook 不熟悉的話，我們建議你從<a href="https://colab.research.google.com/notebooks/intro.ipynb" rel="nofollow">這篇介紹</a>開始。在 Colab 上你可以使用一些加速硬體，像是 GPU 或 TPU，而且工作量不大的話也不收費。',Mt,I,ce="當你開始熟悉 Colab 後，建立新的筆記本然後開始進行設置：",Tt,M,$e='<img src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter0/new_colab.png" alt="An empty colab notebook" width="80%"/>',_t,W,ye="接下來就是安裝我們將會用到的函式庫。我們會使用 <code>pip</code> 這個Python的資源管理工具來安裝。在Colab notebook裡，你可以用 <code>!</code> 來執行系統指令，所以你可以用以下的指令來安裝 🤗 Transformers 函式庫：",gt,Z,Pt,N,be="把函式庫導入到 Python runtime 可以確認你的資源包有被正確地安裝：",kt,z,jt,T,de='<img src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter0/install.gif" alt="A gif showing the result of the two commands above: installation and import" width="80%"/>',Ht,B,Ce="這會安裝一個非常輕量的 🤗 Transformers。裡面沒有安裝任何像是 PyTorch 或 TensorFlow 等的機器學習框架。因為我們會用到很多函式庫裡的不同功能，所以我們建議安裝包含了大部分使用情境所需資源的開發用版本：",Lt,E,Jt,R,we="這會花一點時間，不過裝完你就已經完全準備好面對剩下的教學了！",Ut,d,_,vt,X,se,mt,xe="使用Python虛擬環境",Gt,V,Me='如果你比較想用 Python 虛擬環境的話，第一步就是安裝 Python。我們建議跟著<a href="https://realpython.com/installing-python/" rel="nofollow">這篇教學</a>做為起手式。',It,A,Te="當你安裝好 Python 後，你應該就能從終端機執行 Python 指令了。在進行下一步之前你可以先執行以下指令來確認 Python 有沒有安裝好：<code>python --version</code> 這條指令會讓終端機顯示你所安裝的 Python 版本。",Wt,Y,_e="在終端機執行像是<code>python --version</code>的 Python 指令時，你應該把你的指令想成是用你系統上主要的 Python 版本來執行。我們建議不要在這個版本上安裝任何資源包，讓每個專案在各自獨立的環境裡運行就可以了。這樣每個專案都可以有各自的相依性跟資源包，你也不用擔心不同專案之間使用同一個環境時潛在的相容性問題。",Zt,S,ge='在 Python 我們可以用<a href="https://docs.python.org/3/tutorial/venv.html" rel="nofollow"><em>虛擬環境</em></a>來做這件事。虛擬環境是一個獨立包裝的樹狀目錄，每一個目錄下都有安裝特定版本的Python跟它需要的所有資源包。創建這樣的虛擬環境可以用很多不同的工具，不過我們會用一個叫做<a href="https://docs.python.org/3/library/venv.html#module-venv" rel="nofollow"><code>venv</code></a>的Python官方資源包。',Nt,F,Pe="首先，創建你希望你的程式執行時所在的目錄 - 舉例來說，你可能想要在你的家目錄下新增一個叫<em>transformers-course</em>的目錄：",zt,Q,Bt,q,ke="從這個目錄裡面，你可以用Python的<code>venv</code>模組建立一個虛擬環境：",Et,D,Rt,O,je=`你現在應該在你的空資料夾裡找到一個叫做<em>.env</em>的目錄，這個目錄就是你的虛擬環境。
You should now have a directory called <em>.env</em> in your otherwise empty folder:`,Xt,K,Vt,tt,At,et,He="你可用 <code>activate</code> 和 <code>deactivate</code> 這兩個腳本來啟用或關閉你的虛擬環境：",Yt,lt,St,nt,Le="你可以執行 <code>which python</code> 指令來確認你的虛擬環境是否有被啟用：如果它指向虛擬環境的目錄，那表示你的虛擬環境已經啟用了！",Ft,st,Qt,it,qt,g,Je="安裝相依性資源包",Dt,ot,Ue="在之前的段落中提到的使用 Google Colab 的情況裡，你會需要安裝相依性資源包才能繼續。你可以用 <code>pip</code> 這個資源管理工具來安裝開發版的🤗 Transformers：",Ot,at,Kt,pt,Ge="你現在已經準備就緒，可以開始了！",te;return J=new ze({}),Z=new $({props:{code:"IXBpcCUyMGluc3RhbGwlMjB0cmFuc2Zvcm1lcnM=",highlighted:'!pip <span class="hljs-keyword">install</span> transformers'}}),z=new $({props:{code:"aW1wb3J0JTIwdHJhbnNmb3JtZXJz",highlighted:'<span class="hljs-keyword">import</span> transformers'}}),E=new $({props:{code:"IXBpcCUyMGluc3RhbGwlMjB0cmFuc2Zvcm1lcnMlNUJzZW50ZW5jZXBpZWNlJTVE",highlighted:'!pip <span class="hljs-keyword">install</span> transformers[sentencepiece]'}}),X=new ze({}),Q=new $({props:{code:"bWtkaXIlMjB+JTJGdHJhbnNmb3JtZXJzLWNvdXJzZSUwQWNkJTIwfiUyRnRyYW5zZm9ybWVycy1jb3Vyc2U=",highlighted:`<span class="hljs-built_in">mkdir</span> ~/transformers-course
<span class="hljs-built_in">cd</span> ~/transformers-course`}}),D=new $({props:{code:"cHl0aG9uJTIwLW0lMjB2ZW52JTIwLmVudg==",highlighted:'<span class="hljs-keyword">python</span> -m venv .<span class="hljs-keyword">env</span>'}}),K=new $({props:{code:"bHMlMjAtYQ==",highlighted:'<span class="hljs-built_in">ls</span> -a'}}),tt=new $({props:{code:"LiUyMCUyMCUyMCUyMCUyMCUyMC4uJTIwJTIwJTIwJTIwLmVudg==",highlighted:'.      <span class="hljs-string">..</span>    <span class="hljs-string">.env</span>'}}),lt=new $({props:{code:"JTIzJTIwQWN0aXZhdGUlMjB0aGUlMjB2aXJ0dWFsJTIwZW52aXJvbm1lbnQlMEFzb3VyY2UlMjAuZW52JTJGYmluJTJGYWN0aXZhdGUlMEElMEElMjMlMjBEZWFjdGl2YXRlJTIwdGhlJTIwdmlydHVhbCUyMGVudmlyb25tZW50JTBBc291cmNlJTIwLmVudiUyRmJpbiUyRmRlYWN0aXZhdGU=",highlighted:`<span class="hljs-comment"># Activate the virtual environment</span>
<span class="hljs-built_in">source</span> .<span class="hljs-built_in">env</span>/bin/activate

<span class="hljs-comment"># Deactivate the virtual environment</span>
<span class="hljs-built_in">source</span> .<span class="hljs-built_in">env</span>/bin/deactivate`}}),st=new $({props:{code:"d2hpY2glMjBweXRob24=",highlighted:'<span class="hljs-built_in">which</span> python'}}),it=new $({props:{code:"JTJGaG9tZSUyRiUzQ3VzZXIlM0UlMkZ0cmFuc2Zvcm1lcnMtY291cnNlJTJGLmVudiUyRmJpbiUyRnB5dGhvbg==",highlighted:'<span class="hljs-regexp">/home/</span>&lt;user&gt;<span class="hljs-regexp">/transformers-course/</span>.env<span class="hljs-regexp">/bin/</span>python'}}),at=new $({props:{code:"cGlwJTIwaW5zdGFsbCUyMCUyMnRyYW5zZm9ybWVycyU1QnNlbnRlbmNlcGllY2UlNUQlMjI=",highlighted:'pip <span class="hljs-keyword">install</span> <span class="hljs-string">&quot;transformers[sentencepiece]&quot;</span>'}}),{c(){y=o("meta"),ut=s(),w=o("h1"),w.textContent=oe,ct=s(),P=o("p"),P.innerHTML=ae,$t=s(),k=o("p"),k.textContent=pe,yt=s(),j=o("p"),j.textContent=re,bt=s(),H=o("p"),H.textContent=me,dt=s(),L=o("p"),L.innerHTML=he,Ct=s(),b=o("h2"),x=o("a"),ft=o("span"),m(J.$$.fragment),ne=s(),rt=o("span"),rt.textContent=fe,wt=s(),U=o("p"),U.textContent=ve,xt=s(),G=o("p"),G.innerHTML=ue,Mt=s(),I=o("p"),I.textContent=ce,Tt=s(),M=o("div"),M.innerHTML=$e,_t=s(),W=o("p"),W.innerHTML=ye,gt=s(),m(Z.$$.fragment),Pt=s(),N=o("p"),N.textContent=be,kt=s(),m(z.$$.fragment),jt=s(),T=o("div"),T.innerHTML=de,Ht=s(),B=o("p"),B.textContent=Ce,Lt=s(),m(E.$$.fragment),Jt=s(),R=o("p"),R.textContent=we,Ut=s(),d=o("h2"),_=o("a"),vt=o("span"),m(X.$$.fragment),se=s(),mt=o("span"),mt.textContent=xe,Gt=s(),V=o("p"),V.innerHTML=Me,It=s(),A=o("p"),A.innerHTML=Te,Wt=s(),Y=o("p"),Y.innerHTML=_e,Zt=s(),S=o("p"),S.innerHTML=ge,Nt=s(),F=o("p"),F.innerHTML=Pe,zt=s(),m(Q.$$.fragment),Bt=s(),q=o("p"),q.innerHTML=ke,Et=s(),m(D.$$.fragment),Rt=s(),O=o("p"),O.innerHTML=je,Xt=s(),m(K.$$.fragment),Vt=s(),m(tt.$$.fragment),At=s(),et=o("p"),et.innerHTML=He,Yt=s(),m(lt.$$.fragment),St=s(),nt=o("p"),nt.innerHTML=Le,Ft=s(),m(st.$$.fragment),Qt=s(),m(it.$$.fragment),qt=s(),g=o("h3"),g.textContent=Je,Dt=s(),ot=o("p"),ot.innerHTML=Ue,Ot=s(),m(at.$$.fragment),Kt=s(),pt=o("p"),pt.textContent=Ge,this.h()},l(t){const e=Ae("svelte-1phssyn",document.head);y=a(e,"META",{name:!0,content:!0}),e.forEach(l),ut=i(t),w=a(t,"H1",{id:!0,"data-svelte-h":!0}),p(w)!=="svelte-1u4p6t3"&&(w.textContent=oe),ct=i(t),P=a(t,"P",{"data-svelte-h":!0}),p(P)!=="svelte-czos50"&&(P.innerHTML=ae),$t=i(t),k=a(t,"P",{"data-svelte-h":!0}),p(k)!=="svelte-aaiiw0"&&(k.textContent=pe),yt=i(t),j=a(t,"P",{"data-svelte-h":!0}),p(j)!=="svelte-1vwxalu"&&(j.textContent=re),bt=i(t),H=a(t,"P",{"data-svelte-h":!0}),p(H)!=="svelte-91ru59"&&(H.textContent=me),dt=i(t),L=a(t,"P",{"data-svelte-h":!0}),p(L)!=="svelte-1226xn4"&&(L.innerHTML=he),Ct=i(t),b=a(t,"H2",{class:!0});var ee=ht(b);x=a(ee,"A",{id:!0,class:!0,href:!0});var Ie=ht(x);ft=a(Ie,"SPAN",{});var We=ht(ft);h(J.$$.fragment,We),We.forEach(l),Ie.forEach(l),ne=i(ee),rt=a(ee,"SPAN",{"data-svelte-h":!0}),p(rt)!=="svelte-1l4hj2h"&&(rt.textContent=fe),ee.forEach(l),wt=i(t),U=a(t,"P",{"data-svelte-h":!0}),p(U)!=="svelte-75skoi"&&(U.textContent=ve),xt=i(t),G=a(t,"P",{"data-svelte-h":!0}),p(G)!=="svelte-1yvtosq"&&(G.innerHTML=ue),Mt=i(t),I=a(t,"P",{"data-svelte-h":!0}),p(I)!=="svelte-1t02xk7"&&(I.textContent=ce),Tt=i(t),M=a(t,"DIV",{class:!0,"data-svelte-h":!0}),p(M)!=="svelte-1mpe2rl"&&(M.innerHTML=$e),_t=i(t),W=a(t,"P",{"data-svelte-h":!0}),p(W)!=="svelte-zokoc4"&&(W.innerHTML=ye),gt=i(t),h(Z.$$.fragment,t),Pt=i(t),N=a(t,"P",{"data-svelte-h":!0}),p(N)!=="svelte-1oc9vo0"&&(N.textContent=be),kt=i(t),h(z.$$.fragment,t),jt=i(t),T=a(t,"DIV",{class:!0,"data-svelte-h":!0}),p(T)!=="svelte-1cj51wg"&&(T.innerHTML=de),Ht=i(t),B=a(t,"P",{"data-svelte-h":!0}),p(B)!=="svelte-7wcrff"&&(B.textContent=Ce),Lt=i(t),h(E.$$.fragment,t),Jt=i(t),R=a(t,"P",{"data-svelte-h":!0}),p(R)!=="svelte-1e47vm9"&&(R.textContent=we),Ut=i(t),d=a(t,"H2",{class:!0});var le=ht(d);_=a(le,"A",{id:!0,class:!0,href:!0});var Ze=ht(_);vt=a(Ze,"SPAN",{});var Ne=ht(vt);h(X.$$.fragment,Ne),Ne.forEach(l),Ze.forEach(l),se=i(le),mt=a(le,"SPAN",{"data-svelte-h":!0}),p(mt)!=="svelte-9aglks"&&(mt.textContent=xe),le.forEach(l),Gt=i(t),V=a(t,"P",{"data-svelte-h":!0}),p(V)!=="svelte-dzgfkr"&&(V.innerHTML=Me),It=i(t),A=a(t,"P",{"data-svelte-h":!0}),p(A)!=="svelte-a66tph"&&(A.innerHTML=Te),Wt=i(t),Y=a(t,"P",{"data-svelte-h":!0}),p(Y)!=="svelte-c86yym"&&(Y.innerHTML=_e),Zt=i(t),S=a(t,"P",{"data-svelte-h":!0}),p(S)!=="svelte-11bn0yo"&&(S.innerHTML=ge),Nt=i(t),F=a(t,"P",{"data-svelte-h":!0}),p(F)!=="svelte-j5wx2m"&&(F.innerHTML=Pe),zt=i(t),h(Q.$$.fragment,t),Bt=i(t),q=a(t,"P",{"data-svelte-h":!0}),p(q)!=="svelte-amhz3y"&&(q.innerHTML=ke),Et=i(t),h(D.$$.fragment,t),Rt=i(t),O=a(t,"P",{"data-svelte-h":!0}),p(O)!=="svelte-q6dabw"&&(O.innerHTML=je),Xt=i(t),h(K.$$.fragment,t),Vt=i(t),h(tt.$$.fragment,t),At=i(t),et=a(t,"P",{"data-svelte-h":!0}),p(et)!=="svelte-16gyv6s"&&(et.innerHTML=He),Yt=i(t),h(lt.$$.fragment,t),St=i(t),nt=a(t,"P",{"data-svelte-h":!0}),p(nt)!=="svelte-v7m5vu"&&(nt.innerHTML=Le),Ft=i(t),h(st.$$.fragment,t),Qt=i(t),h(it.$$.fragment,t),qt=i(t),g=a(t,"H3",{id:!0,"data-svelte-h":!0}),p(g)!=="svelte-1hxmzr4"&&(g.textContent=Je),Dt=i(t),ot=a(t,"P",{"data-svelte-h":!0}),p(ot)!=="svelte-1s1sxz1"&&(ot.innerHTML=Ue),Ot=i(t),h(at.$$.fragment,t),Kt=i(t),pt=a(t,"P",{"data-svelte-h":!0}),p(pt)!=="svelte-1cjbbli"&&(pt.textContent=Ge),this.h()},h(){r(y,"name","hf:doc:metadata"),r(y,"content",JSON.stringify(Se)),r(w,"id",""),r(x,"id","google-colab-notebook"),r(x,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),r(x,"href","#google-colab-notebook"),r(b,"class","relative group"),r(M,"class","flex justify-center"),r(T,"class","flex justify-center"),r(_,"id","python"),r(_,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),r(_,"href","#python"),r(d,"class","relative group"),r(g,"id","")},m(t,e){C(document.head,y),n(t,ut,e),n(t,w,e),n(t,ct,e),n(t,P,e),n(t,$t,e),n(t,k,e),n(t,yt,e),n(t,j,e),n(t,bt,e),n(t,H,e),n(t,dt,e),n(t,L,e),n(t,Ct,e),n(t,b,e),C(b,x),C(x,ft),f(J,ft,null),C(b,ne),C(b,rt),n(t,wt,e),n(t,U,e),n(t,xt,e),n(t,G,e),n(t,Mt,e),n(t,I,e),n(t,Tt,e),n(t,M,e),n(t,_t,e),n(t,W,e),n(t,gt,e),f(Z,t,e),n(t,Pt,e),n(t,N,e),n(t,kt,e),f(z,t,e),n(t,jt,e),n(t,T,e),n(t,Ht,e),n(t,B,e),n(t,Lt,e),f(E,t,e),n(t,Jt,e),n(t,R,e),n(t,Ut,e),n(t,d,e),C(d,_),C(_,vt),f(X,vt,null),C(d,se),C(d,mt),n(t,Gt,e),n(t,V,e),n(t,It,e),n(t,A,e),n(t,Wt,e),n(t,Y,e),n(t,Zt,e),n(t,S,e),n(t,Nt,e),n(t,F,e),n(t,zt,e),f(Q,t,e),n(t,Bt,e),n(t,q,e),n(t,Et,e),f(D,t,e),n(t,Rt,e),n(t,O,e),n(t,Xt,e),f(K,t,e),n(t,Vt,e),f(tt,t,e),n(t,At,e),n(t,et,e),n(t,Yt,e),f(lt,t,e),n(t,St,e),n(t,nt,e),n(t,Ft,e),f(st,t,e),n(t,Qt,e),f(it,t,e),n(t,qt,e),n(t,g,e),n(t,Dt,e),n(t,ot,e),n(t,Ot,e),f(at,t,e),n(t,Kt,e),n(t,pt,e),te=!0},p:Ee,i(t){te||(v(J.$$.fragment,t),v(Z.$$.fragment,t),v(z.$$.fragment,t),v(E.$$.fragment,t),v(X.$$.fragment,t),v(Q.$$.fragment,t),v(D.$$.fragment,t),v(K.$$.fragment,t),v(tt.$$.fragment,t),v(lt.$$.fragment,t),v(st.$$.fragment,t),v(it.$$.fragment,t),v(at.$$.fragment,t),te=!0)},o(t){u(J.$$.fragment,t),u(Z.$$.fragment,t),u(z.$$.fragment,t),u(E.$$.fragment,t),u(X.$$.fragment,t),u(Q.$$.fragment,t),u(D.$$.fragment,t),u(K.$$.fragment,t),u(tt.$$.fragment,t),u(lt.$$.fragment,t),u(st.$$.fragment,t),u(it.$$.fragment,t),u(at.$$.fragment,t),te=!1},d(t){t&&(l(ut),l(w),l(ct),l(P),l($t),l(k),l(yt),l(j),l(bt),l(H),l(dt),l(L),l(Ct),l(b),l(wt),l(U),l(xt),l(G),l(Mt),l(I),l(Tt),l(M),l(_t),l(W),l(gt),l(Pt),l(N),l(kt),l(jt),l(T),l(Ht),l(B),l(Lt),l(Jt),l(R),l(Ut),l(d),l(Gt),l(V),l(It),l(A),l(Wt),l(Y),l(Zt),l(S),l(Nt),l(F),l(zt),l(Bt),l(q),l(Et),l(Rt),l(O),l(Xt),l(Vt),l(At),l(et),l(Yt),l(St),l(nt),l(Ft),l(Qt),l(qt),l(g),l(Dt),l(ot),l(Ot),l(Kt),l(pt)),l(y),c(J),c(Z,t),c(z,t),c(E,t),c(X),c(Q,t),c(D,t),c(K,t),c(tt,t),c(lt,t),c(st,t),c(it,t),c(at,t)}}}const Se={local:"",sections:[{local:"google-colab-notebook",title:"使用Google Colab notebook"},{local:"python",sections:[{local:"",title:"安裝相依性資源包"}],title:"使用Python虛擬環境"}],title:"課程簡介"};function Fe(ie){return Re(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ke extends Xe{constructor(y){super(),Ve(this,y,Fe,Ye,Be,{})}}export{Ke as component};
